<?php

namespace App\Models;

use App\Traits\GlobalStatus;
use Illuminate\Database\Eloquent\Model;

class Episode extends Model {

    use GlobalStatus;

    protected $casts = [
        'thumbnail' => 'object',
    ];

    public function video() {
        return $this->hasOne(Video::class);
    }

    public function item() {
        return $this->belongsTo(Item::class);
    }

    public function wishlists() {
        return $this->hasMany(Wishlist::class);
    }

    public function videoReport() {
        return $this->hasMany(VideoReport::class);
    }

    public function scopeHasVideo() {
        return $this->where('status', 1)->whereHas('video');
    }
}
