<?php

namespace App\Models;

use App\Traits\GlobalStatus;
use Illuminate\Database\Eloquent\Model;

class Subscription extends Model {
    use GlobalStatus;
    protected $guarded = ['id'];

    protected $casts = ['expired_date' => 'datetime'];

    public function user() {
        return $this->belongsTo(User::class);
    }

    public function plan() {
        return $this->belongsTo(Plan::class);
    }
}
