<?php

namespace App\Models;

use App\Constants\Status;
use Illuminate\Database\Eloquent\Casts\Attribute;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class VideoAdvertise extends Model {
    use HasFactory;
    protected $guarded = [];
    protected $casts   = [
        'content' => 'object',
    ];

    public function videoAds(): Attribute {
        return new Attribute(function () {
            $general = gs();
            $ads     = null;
            if (@$this->server == Status::FTP_SERVER) {
                $ads = $general->ftp->domain . '/' . $this->content->video;
            } else if (@$this->server == Status::WASABI_SERVER) {
                $ads = @$general->wasabi->endpoint . '/' . @$general->wasabi->bucket . '/' . @$this->content->video;
            } else if (@$this->server == Status::DIGITAL_OCEAN_SERVER) {
                $ads = @$general->digital_ocean->endpoint . '/' . @$general->digital_ocean->bucket . '/' . @$this->content->video;
            } else {
                $ads = getImage(getFilePath('ads') . '/' . $this->content->video);
            }
            return $ads;
        });
    }
}
