@extends($activeTemplate . 'layouts.master')

@section('content')
    <div class="pt-80 pb-80">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-xl-12">
                    <div class="card custom--card">
                        <div class="card-body">
                            <div class="table--responsive--lg table">
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th>@lang('S.N.')</th>
                                            <th>@lang('Code')</th>
                                            <th>@lang('Item')</th>
                                            <th>@lang('Members')</th>
                                            <th>@lang('Status')</th>
                                            <th>@lang('Created At')</th>
                                            <th>@lang('Action')</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @forelse($parties as $key => $party)
                                            <tr>
                                                <td>{{ $parties->firstItem() + $loop->index }}</td>
                                                <td>{{ $party->party_code }}</td>
                                                <td>
                                                    @if ($party->episode)
                                                        <span>{{ __(@$party->episode->title) }}</span>
                                                    @else
                                                        <span>{{ __(@$party->item->title) }}</span>
                                                    @endif
                                                </td>
                                                <td>{{ $party->partyMember->count() }}</td>

                                                <td>
                                                    @php
                                                        echo $party->statusBadge;
                                                    @endphp
                                                </td>
                                                <td>{{ showDateTime($party->created_at) }}</td>
                                                <td>
                                                    @if ($party->status == Status::ENABLE)
                                                        <button class="btn--danger btn-sm confirmationBtn" data-action="{{ route('user.watch.party.disabled', $party->id) }}" data-question="@lang('Are you sure to disbaled this party room?')" type="button">
                                                            <i class="fa fa-times-circle"></i>
                                                        </button>
                                                        <a class="cmn-btn btn-sm" href="{{ route('user.watch.party.room', $party->party_code) }}">
                                                            <i class="fas fa-desktop"></i>
                                                        </a>
                                                    @else
                                                        <button class="btn--danger btn-sm disbaled" type="button">
                                                            <i class="fa fa-eye-slash"></i>
                                                        </button>
                                                    @endif
                                                </td>
                                            </tr>
                                        @empty
                                            <tr>
                                                <td class="data-not-found" colspan="100">
                                                    <div class="data-not-found__text text-center">
                                                        <h6 class="empty-table__text mt-1">{{ __($emptyMessage) }} </h6>
                                                    </div>
                                                </td>
                                            </tr>
                                        @endforelse
                                    </tbody>
                                </table>
                                {{ $parties->links() }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <x-confirmation-modal closeBtn="btn btn--danger btn-sm" baseBtn="btn btn--base btn-sm" />
@endsection
