

-- --------------------------------------------------------

--
-- Структура таблицы `admins`
--

CREATE TABLE `admins` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `username` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `remember_token` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `admins`
--

INSERT INTO `admins` (`id`, `name`, `email`, `username`, `email_verified_at`, `image`, `password`, `remember_token`, `created_at`, `updated_at`) VALUES
(1, 'Super Admin', 'admin@admin.admin', 'admin', NULL, '65755337ee58b1702187831.png', '$2y$10$R36WRSNsZ/Mu4j1MsWzOseZTkyrOKKwR9sko0A6SwwVeqYASBdVFG', 'cwBcwgNtyYqLbfL8g6g76OKQTZuQ6P4DR54fjZ5AjPpw91qBxy80Jj4uaHA0', NULL, '2023-12-09 23:57:12');

-- --------------------------------------------------------

--
-- Структура таблицы `admin_notifications`
--

CREATE TABLE `admin_notifications` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_read` tinyint(1) NOT NULL DEFAULT '0',
  `click_url` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `admin_password_resets`
--

CREATE TABLE `admin_password_resets` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `email` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `token` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `advertises`
--

CREATE TABLE `advertises` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `device` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1=>web, 2=>app',
  `ads_show` tinyint(1) NOT NULL DEFAULT '0' COMMENT '1=>popup,2=>section',
  `ads_type` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `click` int(11) NOT NULL DEFAULT '0',
  `impression` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `categories`
--

CREATE TABLE `categories` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `conversations`
--

CREATE TABLE `conversations` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `watch_party_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `message` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `deposits`
--

CREATE TABLE `deposits` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `subscription_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `method_code` int(11) NOT NULL DEFAULT '0',
  `amount` decimal(28,8) NOT NULL DEFAULT '0.00000000',
  `method_currency` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `charge` decimal(28,8) NOT NULL DEFAULT '0.00000000',
  `rate` decimal(28,8) NOT NULL DEFAULT '0.00000000',
  `final_amo` decimal(28,8) NOT NULL DEFAULT '0.00000000',
  `detail` text COLLATE utf8mb4_unicode_ci,
  `btc_amo` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `btc_wallet` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `trx` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_try` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '1=>success, 2=>pending, 3=>cancel',
  `from_api` tinyint(1) NOT NULL DEFAULT '0',
  `admin_feedback` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `device_tokens`
--

CREATE TABLE `device_tokens` (
  `id` bigint(20) NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `from_api` tinyint(1) NOT NULL DEFAULT '0',
  `is_app` tinyint(1) NOT NULL DEFAULT '0',
  `token` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `episodes`
--

CREATE TABLE `episodes` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `item_id` int(11) NOT NULL DEFAULT '0',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `version` tinyint(1) DEFAULT '0' COMMENT '0 = free, 1 = paid',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `extensions`
--

CREATE TABLE `extensions` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `act` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `script` text COLLATE utf8mb4_unicode_ci,
  `shortcode` text COLLATE utf8mb4_unicode_ci COMMENT 'object',
  `support` text COLLATE utf8mb4_unicode_ci COMMENT 'help section',
  `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1=>enable, 2=>disable',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `extensions`
--

INSERT INTO `extensions` (`id`, `act`, `name`, `description`, `image`, `script`, `shortcode`, `support`, `status`, `created_at`, `updated_at`) VALUES
(1, 'tawk-chat', 'Tawk.to', 'Key location is shown bellow', 'tawky_big.png', '<script>\r\n                        var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();\r\n                        (function(){\r\n                        var s1=document.createElement(\"script\"),s0=document.getElementsByTagName(\"script\")[0];\r\n                        s1.async=true;\r\n                        s1.src=\"https://embed.tawk.to/{{app_key}}\";\r\n                        s1.charset=\"UTF-8\";\r\n                        s1.setAttribute(\"crossorigin\",\"*\");\r\n                        s0.parentNode.insertBefore(s1,s0);\r\n                        })();\r\n                    </script>', '{\"app_key\":{\"title\":\"App Key\",\"value\":\"------\"}}', 'twak.png', 0, '2019-10-18 23:16:05', '2022-03-22 05:22:24'),
(2, 'google-recaptcha2', 'Google Recaptcha 2', 'Key location is shown bellow', 'recaptcha3.png', '\n<script src=\"https://www.google.com/recaptcha/api.js\"></script>\n<div class=\"g-recaptcha\" data-sitekey=\"{{site_key}}\" data-callback=\"verifyCaptcha\"></div>\n<div id=\"g-recaptcha-error\"></div>', '{\"site_key\":{\"title\":\"Site Key\",\"value\":\"6LdPC88fAAAAADQlUf_DV6Hrvgm-pZuLJFSLDOWV\"},\"secret_key\":{\"title\":\"Secret Key\",\"value\":\"6LdPC88fAAAAAG5SVaRYDnV2NpCrptLg2XLYKRKB\"}}', 'recaptcha.png', 0, '2019-10-18 23:16:05', '2022-11-16 05:57:08'),
(3, 'custom-captcha', 'Custom Captcha', 'Just put any random string', 'customcaptcha.png', NULL, '{\"random_key\":{\"title\":\"Random String\",\"value\":\"SecureString\"}}', 'na', 0, '2019-10-18 23:16:05', '2023-06-06 05:51:47'),
(4, 'google-analytics', 'Google Analytics', 'Key location is shown bellow', 'google_analytics.png', '<script async src=\"https://www.googletagmanager.com/gtag/js?id={{app_key}}\"></script>\r\n                <script>\r\n                  window.dataLayer = window.dataLayer || [];\r\n                  function gtag(){dataLayer.push(arguments);}\r\n                  gtag(\"js\", new Date());\r\n                \r\n                  gtag(\"config\", \"{{app_key}}\");\r\n                </script>', '{\"app_key\":{\"title\":\"App Key\",\"value\":\"------\"}}', 'ganalytics.png', 0, NULL, '2021-05-04 10:19:12');

-- --------------------------------------------------------

--
-- Структура таблицы `forms`
--

CREATE TABLE `forms` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `act` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `form_data` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `frontends`
--

CREATE TABLE `frontends` (
  `id` int(10) UNSIGNED NOT NULL,
  `tempname` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `data_keys` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `data_values` longtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `frontends`
--

INSERT INTO `frontends` (`id`, `tempname`, `data_keys`, `data_values`, `created_at`, `updated_at`) VALUES
(1, NULL, 'seo.data', '{\"seo_image\":\"1\",\"keywords\":[\"PlayLab\",\"Movie\",\"Movie Platform\",\"Video On-Demand Movie Streaming Platform\"],\"description\":\"Neque porro quisquam est qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit\",\"social_title\":\"Playlab - On-Demand Movie Streaming Platform\",\"social_description\":\"Neque porro quisquam est qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit ff\",\"image\":\"6576b7c78ca161702279111.png\"}', '2020-07-04 23:42:52', '2023-12-11 01:18:31'),
(41, NULL, 'cookie.data', '{\"short_desc\":\"We may use cookies or any other tracking technologies when you visit our website, including any other media form, mobile website, or mobile application related or connected to help customize the Site and improve your experience.\",\"description\":\"<div class=\\\"mb-5\\\" style=\\\"font-family: Nunito, sans-serif; margin-bottom: 3rem !important;\\\"><h3 class=\\\"mb-3\\\" style=\\\"font-weight: 600; line-height: 1.3; font-size: 24px; font-family: Exo, sans-serif;\\\"><font color=\\\"#ffffff\\\">What information do we collect?<\\/font><\\/h3><p class=\\\"font-18\\\" style=\\\"margin-right: 0px; margin-left: 0px; font-size: 18px !important;\\\"><font color=\\\"#ffffff\\\">We gather data from you when you register on our site, submit a request, buy any services, react to an overview, or round out a structure. At the point when requesting any assistance or enrolling on our site, as suitable, you might be approached to enter your: name, email address, or telephone number. You may, nonetheless, visit our site anonymously.<\\/font><\\/p><\\/div><div class=\\\"mb-5\\\" style=\\\"font-family: Nunito, sans-serif; margin-bottom: 3rem !important;\\\"><h3 class=\\\"mb-3\\\" style=\\\"font-weight: 600; line-height: 1.3; font-size: 24px; font-family: Exo, sans-serif;\\\"><font color=\\\"#ffffff\\\">How do we protect your information?<\\/font><\\/h3><p class=\\\"font-18\\\" style=\\\"margin-right: 0px; margin-left: 0px; font-size: 18px !important;\\\"><font color=\\\"#ffffff\\\">All provided delicate\\/credit data is sent through Stripe.<br>After an exchange, your private data (credit cards, social security numbers, financials, and so on) won\'t be put away on our workers.<\\/font><\\/p><\\/div><div class=\\\"mb-5\\\" style=\\\"font-family: Nunito, sans-serif; margin-bottom: 3rem !important;\\\"><h3 class=\\\"mb-3\\\" style=\\\"font-weight: 600; line-height: 1.3; font-size: 24px; font-family: Exo, sans-serif;\\\"><font color=\\\"#ffffff\\\">Do we disclose any information to outside parties?<\\/font><\\/h3><p class=\\\"font-18\\\" style=\\\"margin-right: 0px; margin-left: 0px; font-size: 18px !important;\\\"><font color=\\\"#ffffff\\\">We don\'t sell, exchange, or in any case move to outside gatherings by and by recognizable data. This does exclude confided in outsiders who help us in working our site, leading our business, or adjusting you, since those gatherings consent to keep this data private. We may likewise deliver your data when we accept discharge is suitable to follow the law, implement our site strategies, or ensure our own or others\' rights, property, or wellbeing.<\\/font><\\/p><\\/div><div class=\\\"mb-5\\\" style=\\\"font-family: Nunito, sans-serif; margin-bottom: 3rem !important;\\\"><h3 class=\\\"mb-3\\\" style=\\\"font-weight: 600; line-height: 1.3; font-size: 24px; font-family: Exo, sans-serif;\\\"><font color=\\\"#ffffff\\\">Children\'s Online Privacy Protection Act Compliance<\\/font><\\/h3><p class=\\\"font-18\\\" style=\\\"margin-right: 0px; margin-left: 0px; font-size: 18px !important;\\\"><font color=\\\"#ffffff\\\">We are consistent with the prerequisites of COPPA (Children\'s Online Privacy Protection Act), we don\'t gather any data from anybody under 13 years old. Our site, items, and administrations are completely coordinated to individuals who are in any event 13 years of age or more established.<\\/font><\\/p><\\/div><div class=\\\"mb-5\\\" style=\\\"font-family: Nunito, sans-serif; margin-bottom: 3rem !important;\\\"><h3 class=\\\"mb-3\\\" style=\\\"font-weight: 600; line-height: 1.3; font-size: 24px; font-family: Exo, sans-serif;\\\"><font color=\\\"#ffffff\\\">Changes to our Privacy Policy<\\/font><\\/h3><p class=\\\"font-18\\\" style=\\\"margin-right: 0px; margin-left: 0px; font-size: 18px !important;\\\"><font color=\\\"#ffffff\\\">If we decide to change our privacy policy, we will post those changes on this page.<\\/font><\\/p><\\/div><div class=\\\"mb-5\\\" style=\\\"font-family: Nunito, sans-serif; margin-bottom: 3rem !important;\\\"><h3 class=\\\"mb-3\\\" style=\\\"font-weight: 600; line-height: 1.3; font-size: 24px; font-family: Exo, sans-serif;\\\"><font color=\\\"#ffffff\\\">How long we retain your information?<\\/font><\\/h3><p class=\\\"font-18\\\" style=\\\"margin-right: 0px; margin-left: 0px; font-size: 18px !important;\\\"><font color=\\\"#ffffff\\\">At the point when you register for our site, we cycle and keep your information we have about you however long you don\'t erase the record or withdraw yourself (subject to laws and guidelines).<\\/font><\\/p><\\/div><div class=\\\"mb-5\\\" style=\\\"font-family: Nunito, sans-serif; margin-bottom: 3rem !important;\\\"><h3 class=\\\"mb-3\\\" style=\\\"font-weight: 600; line-height: 1.3; font-size: 24px; font-family: Exo, sans-serif;\\\"><font color=\\\"#ffffff\\\">What we don\\u2019t do with your data<\\/font><\\/h3><p class=\\\"font-18\\\" style=\\\"margin-right: 0px; margin-left: 0px; font-size: 18px !important;\\\"><font color=\\\"#ffffff\\\">We don\'t and will never share, unveil, sell, or in any case give your information to different organizations for the promoting of their items or administrations.<\\/font><\\/p><\\/div>\",\"status\":1}', '2020-07-04 23:42:52', '2023-12-11 01:19:09'),
(42, 'templates.labflix.', 'footer.content', '{\"about_us\":\"Playlab has a broad library of highlight films, narratives, TV shows, anime, and so on! Watch as much as you want, whenever you need it at any time. LabFlix is an American over-the-top content platform streaming service and production company headquartered in Los Gatos, California\",\"subscribe_title\":\"Subscrbe News Letter\",\"subscribe_subtitle\":\"Please Subscribe For Getting Updated With Us\"}', '2021-06-06 05:20:03', '2023-12-10 05:53:19'),
(47, 'templates.basic.', 'policy_pages.element', '{\"title\":\"Terms and Condition\",\"description\":\"<h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Overview<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Nullam turpis dolorem, vivamus placerat in donec est, nonummy tristique massa a, dui felis in. Nulla lorem aenean montes varius massula sed, ut at ante, quis velit, at amet amet placerat. Vestibulum in porttitsum eros vel in, imperdiet amet aliquam et purus dictum. In nunc nulla orci. A massa curabitur, etiam iure ulum, blandit ullamcorper, justo at aenean pulvinar. Felis aliquam hac duis et feugiat eu. Duis feugiat volutpat bibendum, eget a nisl est eros, nibh metus placerat faucibus penatibus, natoque diam.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Consent and Information Collection and Use<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Rictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egesttupdebitis, placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaodo audales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor amet peiet feugi nim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna. Porttitor praesent facilisis aliquet.<\\/p><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Eictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna diconpbus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpurgna debplarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor ametperdiet fgiat. Enim lacus eu duisest.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Cookies and Log Files<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Dictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongen pebus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpmagbitis plarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaselsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodoostie dolor amet imperdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><ul class=\\\"cmn-list\\\" style=\\\"margin-top:20px;\\\"><li><span style=\\\"color:rgb(151,175,213);\\\">Aras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placat in scelerisque, purus metus est, scelerisque quis purusi<\\/span><\\/li><li><span style=\\\"color:rgb(151,175,213);\\\"><br \\/><\\/span><\\/li><\\/ul><span style=\\\"color:rgb(151,175,213);\\\">Cras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumiulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scesque, purus metus est, scelerisque quis purusi<\\/span><\\/div><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><font color=\\\"#97afd5\\\"><br \\/><\\/font><span style=\\\"color:rgb(151,175,213);\\\">Qras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scelerisque, purus metus est, scelerisque quis purus i<\\/span><br \\/><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Data Security and Retention<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rebiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus m.modo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie doloremrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus tesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Information Form Customer<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rubiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsodo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolemrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pelltesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div>\"}', '2021-06-06 05:29:14', '2021-06-07 09:10:32'),
(48, 'templates.basic.', 'policy_pages.element', '{\"title\":\"Privacy and Policy\",\"description\":\"<h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Overview<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Nullam turpis dolorem, vivamus placerat in donec est, nonummy tristique massa a, dui felis in. Nulla lorem aenean montes varius massula sed, ut at ante, quis velit, at amet amet placerat. Vestibulum in porttitsum eros vel in, imperdiet amet aliquam et purus dictum. In nunc nulla orci. A massa curabitur, etiam iure ulum, blandit ullamcorper, justo at aenean pulvinar. Felis aliquam hac duis et feugiat eu. Duis feugiat volutpat bibendum, eget a nisl est eros, nibh metus placerat faucibus penatibus, natoque diam.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Consent and Information Collection and Use<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Rictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egesttupdebitis, placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaodo audales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor amet peiet feugi nim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna. Porttitor praesent facilisis aliquet.<\\/p><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Eictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna diconpbus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpurgna debplarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor ametperdiet fgiat. Enim lacus eu duisest.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Cookies and Log Files<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Dictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongen pebus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpmagbitis plarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaselsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodoostie dolor amet imperdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><ul class=\\\"cmn-list\\\" style=\\\"margin-top:20px;\\\"><li><span style=\\\"color:rgb(151,175,213);\\\">Aras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placat in scelerisque, purus metus est, scelerisque quis purusi<\\/span><\\/li><li><span style=\\\"color:rgb(151,175,213);\\\"><br \\/><\\/span><\\/li><\\/ul><span style=\\\"color:rgb(151,175,213);\\\">Cras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumiulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scesque, purus metus est, scelerisque quis purusi<\\/span><\\/div><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><font color=\\\"#97afd5\\\"><br \\/><\\/font><span style=\\\"color:rgb(151,175,213);\\\">Qras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scelerisque, purus metus est, scelerisque quis purus i<\\/span><br \\/><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Data Security and Retention<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rebiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus m.modo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie doloremrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus tesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Information Form Customer<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rubiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsodo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolemrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pelltesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div>\"}', '2021-06-06 05:29:27', '2021-06-07 09:10:41'),
(49, 'templates.basic.', 'short_links.element', '{\"title\":\"Our Vision\",\"description\":\"<div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;\\\"><h3 class=\\\"title\\\" style=\\\"margin:0px 0px 15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\">Overview<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"color:rgb(33,37,41);font-family:Roboto, sans-serif;font-size:16px;font-weight:400;\\\"><p style=\\\"margin-right:0px;margin-left:0px;font-size:16px;color:rgb(151,175,213);\\\">Nullam turpis dolorem, vivamus placerat in donec est, nonummy tristique massa a, dui felis in. Nulla lorem aenean montes varius massula sed, ut at ante, quis velit, at amet amet placerat. Vestibulum in porttitsum eros vel in, imperdiet amet aliquam et purus dictum. In nunc nulla orci. A massa curabitur, etiam iure ulum, blandit ullamcorper, justo at aenean pulvinar. Felis aliquam hac duis et feugiat eu. Duis feugiat volutpat bibendum, eget a nisl est eros, nibh metus placerat faucibus penatibus, natoque diam.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\">Consent and Information Collection and Use<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"margin-top:25px;color:rgb(33,37,41);font-family:Roboto, sans-serif;font-size:16px;font-weight:400;\\\"><p style=\\\"margin-right:0px;margin-left:0px;font-size:16px;color:rgb(151,175,213);\\\">Rictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egesttupdebitis, placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaodo audales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor amet peiet feugi nim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna. Porttitor praesent facilisis aliquet.<\\/p><p style=\\\"margin-right:0px;margin-left:0px;font-size:16px;color:rgb(151,175,213);\\\">Eictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna diconpbus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpurgna debplarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor ametperdiet fgiat. Enim lacus eu duisest.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\">Cookies and Log Files<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"margin-top:25px;color:rgb(33,37,41);font-family:Roboto, sans-serif;font-size:16px;font-weight:400;\\\"><p style=\\\"margin-right:0px;margin-left:0px;font-size:16px;color:rgb(151,175,213);\\\">Dictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongen pebus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpmagbitis plarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaselsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodoostie dolor amet imperdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><ul class=\\\"cmn-list\\\" style=\\\"margin-top:20px;\\\"><li><span style=\\\"color:rgb(151,175,213);\\\">Aras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placat in scelerisque, purus metus est, scelerisque quis purusi<\\/span><\\/li><li><span style=\\\"color:rgb(151,175,213);\\\"><br \\/><\\/span><\\/li><\\/ul><span style=\\\"color:rgb(151,175,213);\\\">Cras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumiulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scesque, purus metus est, scelerisque quis purusi<\\/span><\\/div><div class=\\\"block-content\\\" style=\\\"margin-top:25px;font-family:Roboto, sans-serif;font-size:16px;font-weight:400;\\\"><font color=\\\"#97afd5\\\"><br \\/><\\/font><span style=\\\"color:rgb(151,175,213);\\\">Qras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scelerisque, purus metus est, scelerisque quis purus i<\\/span><br \\/><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\">Data Security and Retention<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"margin-top:25px;color:rgb(33,37,41);font-family:Roboto, sans-serif;font-size:16px;font-weight:400;\\\"><p style=\\\"margin-right:0px;margin-left:0px;font-size:16px;color:rgb(151,175,213);\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rebiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus m.modo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie doloremrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus tesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\">Information Form Customer<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"margin-top:25px;color:rgb(33,37,41);font-family:Roboto, sans-serif;font-size:16px;font-weight:400;\\\"><p style=\\\"margin-right:0px;margin-left:0px;font-size:16px;color:rgb(151,175,213);\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rubiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsodo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolemrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pelltesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div><\\/div>\"}', '2021-06-06 05:37:50', '2021-06-07 09:09:48'),
(50, 'templates.basic.', 'short_links.element', '{\"title\":\"Our Mission\",\"description\":\"<h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Overview<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Nullam turpis dolorem, vivamus placerat in donec est, nonummy tristique massa a, dui felis in. Nulla lorem aenean montes varius massula sed, ut at ante, quis velit, at amet amet placerat. Vestibulum in porttitsum eros vel in, imperdiet amet aliquam et purus dictum. In nunc nulla orci. A massa curabitur, etiam iure ulum, blandit ullamcorper, justo at aenean pulvinar. Felis aliquam hac duis et feugiat eu. Duis feugiat volutpat bibendum, eget a nisl est eros, nibh metus placerat faucibus penatibus, natoque diam.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Consent and Information Collection and Use<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Rictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egesttupdebitis, placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaodo audales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor amet peiet feugi nim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna. Porttitor praesent facilisis aliquet.<\\/p><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Eictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna diconpbus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpurgna debplarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor ametperdiet fgiat. Enim lacus eu duisest.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Cookies and Log Files<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Dictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongen pebus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpmagbitis plarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaselsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodoostie dolor amet imperdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><ul class=\\\"cmn-list\\\" style=\\\"margin-top:20px;\\\"><li><span style=\\\"color:rgb(151,175,213);\\\">Aras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placat in scelerisque, purus metus est, scelerisque quis purusi<\\/span><\\/li><li><span style=\\\"color:rgb(151,175,213);\\\"><br \\/><\\/span><\\/li><\\/ul><span style=\\\"color:rgb(151,175,213);\\\">Cras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumiulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scesque, purus metus est, scelerisque quis purusi<\\/span><\\/div><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><font color=\\\"#97afd5\\\"><br \\/><\\/font><span style=\\\"color:rgb(151,175,213);\\\">Qras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scelerisque, purus metus est, scelerisque quis purus i<\\/span><br \\/><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Data Security and Retention<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rebiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus m.modo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie doloremrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus tesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Information Form Customer<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rubiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsodo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolemrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pelltesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div>\"}', '2021-06-06 05:38:03', '2021-06-07 09:10:15'),
(51, 'templates.basic.', 'short_links.element', '{\"title\":\"About Us\",\"description\":\"<h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Overview<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Nullam turpis dolorem, vivamus placerat in donec est, nonummy tristique massa a, dui felis in. Nulla lorem aenean montes varius massula sed, ut at ante, quis velit, at amet amet placerat. Vestibulum in porttitsum eros vel in, imperdiet amet aliquam et purus dictum. In nunc nulla orci. A massa curabitur, etiam iure ulum, blandit ullamcorper, justo at aenean pulvinar. Felis aliquam hac duis et feugiat eu. Duis feugiat volutpat bibendum, eget a nisl est eros, nibh metus placerat faucibus penatibus, natoque diam.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Consent and Information Collection and Use<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Rictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egesttupdebitis, placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaodo audales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor amet peiet feugi nim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna. Porttitor praesent facilisis aliquet.<\\/p><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Eictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna diconpbus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpurgna debplarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor ametperdiet fgiat. Enim lacus eu duisest.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Cookies and Log Files<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Dictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongen pebus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpmagbitis plarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaselsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodoostie dolor amet imperdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><ul class=\\\"cmn-list\\\" style=\\\"margin-top:20px;\\\"><li><span style=\\\"color:rgb(151,175,213);\\\">Aras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placat in scelerisque, purus metus est, scelerisque quis purusi<\\/span><\\/li><li><span style=\\\"color:rgb(151,175,213);\\\"><br \\/><\\/span><\\/li><\\/ul><span style=\\\"color:rgb(151,175,213);\\\">Cras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumiulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scesque, purus metus est, scelerisque quis purusi<\\/span><\\/div><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><font color=\\\"#97afd5\\\"><br \\/><\\/font><span style=\\\"color:rgb(151,175,213);\\\">Qras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scelerisque, purus metus est, scelerisque quis purus i<\\/span><br \\/><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Data Security and Retention<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rebiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus m.modo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie doloremrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus tesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Information Form Customer<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rubiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsodo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolemrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pelltesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div>\"}', '2021-06-06 05:38:30', '2021-06-07 09:10:23'),
(52, 'templates.basic.', 'banner.content', '{\"has_image\":\"1\",\"heading\":\"Worlds Best\",\"sub_heading\":\"MOVIES OF THIS SEASON\",\"button_1\":\"Sign In\",\"button_1_link\":\"user\\/login\",\"button_2\":\"Sign Up\",\"button_2_link\":\"user\\/register\",\"background_image\":\"6576b81b5d42f1702279195.jpg\"}', '2021-06-06 05:48:22', '2023-12-11 01:19:55'),
(53, 'templates.basic.', 'breadcrumb.content', '{\"has_image\":\"1\",\"background_image\":\"62aacd8125c1b1655360897.png\"}', '2021-06-07 04:47:16', '2023-12-10 05:18:50'),
(55, 'templates.basic.', 'social_icon.element', '{\"title\":\"Facebook\",\"social_icon\":\"<i class=\\\"lab la-facebook-f\\\"><\\/i>\",\"url\":\"https:\\/\\/www.facebook.com\\/\"}', '2022-05-25 10:31:48', '2022-05-25 10:31:48'),
(56, 'templates.basic.', 'social_icon.element', '{\"title\":\"Twitter\",\"social_icon\":\"<i class=\\\"lab la-twitter\\\"><\\/i>\",\"url\":\"https:\\/\\/www.twitter.com\\/\"}', '2022-05-25 10:32:22', '2022-05-25 10:32:22'),
(57, 'templates.basic.', 'social_icon.element', '{\"title\":\"Instagram\",\"social_icon\":\"<i class=\\\"lab la-instagram\\\"><\\/i>\",\"url\":\"https:\\/\\/www.instagram.com\\/\"}', '2022-05-25 10:33:37', '2022-05-25 10:33:37'),
(58, 'templates.basic.', 'social_icon.element', '{\"title\":\"Linkedin\",\"social_icon\":\"<i class=\\\"lab la-linkedin\\\"><\\/i>\",\"url\":\"https:\\/\\/www.linkedin.com\\/\"}', '2022-05-25 10:34:07', '2022-05-25 10:34:07'),
(59, 'templates.basic.', 'login.content', '{\"has_image\":\"1\",\"background_image\":\"62920081836521653735553.jpg\"}', '2022-05-28 09:29:13', '2022-05-28 09:29:13'),
(60, 'templates.basic.', 'register.content', '{\"has_image\":\"1\",\"background_image\":\"62920368a68be1653736296.jpg\"}', '2022-05-28 09:41:36', '2022-05-28 09:41:36'),
(61, 'templates.basic.', 'code_verify.content', '{\"has_image\":\"1\",\"background_image\":\"62920e53857211653739091.jpg\"}', '2022-05-28 10:28:11', '2022-05-28 10:28:11'),
(63, 'templates.basic.', 'reset_password_email.content', '{\"has_image\":\"1\",\"background_image\":\"62920e5d5edfb1653739101.jpg\"}', '2022-05-28 10:28:21', '2022-05-28 10:28:21'),
(65, 'templates.basic', 'reset_password.content', '{\"has_image\":\"1\",\"background_image\":\"6292131bcf52b1653740315.jpg\"}', '2022-05-28 10:48:35', '2022-05-28 10:48:36'),
(66, NULL, 'maintenance.data', '{\"description\":\"<div class=\\\"mb-5\\\" style=\\\"font-family: Nunito, sans-serif; margin-bottom: 3rem !important;\\\"><h3 class=\\\"mb-3\\\" style=\\\"text-align: center; font-weight: 600; line-height: 1.3; font-size: 24px; font-family: Exo, sans-serif;\\\"><font color=\\\"#ffffff\\\">Sorry! we are down for maintenance.<\\/font><\\/h3><p class=\\\"font-18\\\" style=\\\"text-align: center; margin-right: 0px; margin-left: 0px; font-size: 18px !important;\\\"><font color=\\\"#ffffff\\\">We will be back soon<\\/font><\\/p><\\/div>\"}', NULL, '2022-06-19 11:09:06'),
(67, 'templates.basic.', 'app_welcome.content', '{\"has_image\":\"1\",\"screen_1_heading\":\"Quisquam animi aute\",\"screen_1_subheading\":\"Dolore rerum magnam\",\"screen_2_heading\":\"Dolor aut iusto ulla\",\"screen_2_subheading\":\"Quidem similique ips\",\"screen_3_heading\":\"Corrupti obcaecati\",\"screen_3_subheading\":\"In molestias volupta\",\"background_image\":\"62c567b3dde201657104307.png\"}', '2022-06-07 05:07:07', '2023-12-10 05:48:46');
INSERT INTO `frontends` (`id`, `tempname`, `data_keys`, `data_values`, `created_at`, `updated_at`) VALUES
(68, 'templates.labflix.', 'footer.content', '{\"about_us\":\"Playlab has a broad library of highlight films, narratives, TV shows, anime, and so on! Watch as much as you want, whenever you need it at any time. LabFlix is an American over-the-top content platform streaming service and production company headquartered in Los Gatos, California\",\"subscribe_title\":\"Subscrbe News Letter\",\"subscribe_subtitle\":\"Please Subscribe For Getting Updated With Us\"}', '2021-06-06 05:20:03', '2023-12-08 23:28:26'),
(69, 'templates.labflix.', 'footer.element', '{\"has_image\":\"1\",\"link\":\"https:\\/\\/play.google.com\\/store\\/games\",\"store_image\":\"6573fe075e8581702100487.png\"}', '2021-06-06 05:23:13', '2023-12-08 23:41:27'),
(70, 'templates.labflix.', 'footer.element', '{\"has_image\":\"1\",\"link\":\"https:\\/\\/www.apple.com\\/app-store\\/\",\"store_image\":\"6573fe0cf25f01702100492.png\"}', '2021-06-06 05:23:23', '2023-12-08 23:41:32'),
(71, 'templates.basic.', 'basic_footer.content', '{\"has_image\":\"1\",\"about_us\":\"Playlab has a broad library of highlight films, narratives, TV shows, anime, and so on! Watch as much as you want, whenever you need it at any time. LabFlix is an American over-the-top content platform streaming service and production company headquartered in Los Gatos, California\",\"subscribe_title\":\"Subscribe for new offers and updates\",\"background_image\":\"63fa0dfb407711677331963.jpg\"}', '2023-02-25 07:32:43', '2023-02-25 07:32:43'),
(72, 'templates.basic.', 'basic_footer.element', '{\"has_image\":\"1\",\"link\":\"https:\\/\\/play.google.com\\/store\\/games\",\"store_image\":\"63fa0e1917ea41677331993.png\"}', '2023-02-25 07:33:13', '2023-02-25 07:33:13'),
(73, 'templates.basic.', 'basic_footer.element', '{\"has_image\":\"1\",\"link\":\"https:\\/\\/www.apple.com\\/app-store\\/\",\"store_image\":\"63fa0e23aeeaa1677332003.png\"}', '2023-02-25 07:33:23', '2023-02-25 07:33:23'),
(75, 'templates.labflix.', 'breadcrumb.content', '{\"has_image\":\"1\",\"background_image\":\"62aacd8125c1b1655360897.png\"}', '2021-06-07 04:47:16', '2022-06-16 04:58:17'),
(76, 'templates.labflix.', 'policy_pages.element', '{\"title\":\"Terms and Condition\",\"description\":\"<h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Overview<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Nullam turpis dolorem, vivamus placerat in donec est, nonummy tristique massa a, dui felis in. Nulla lorem aenean montes varius massula sed, ut at ante, quis velit, at amet amet placerat. Vestibulum in porttitsum eros vel in, imperdiet amet aliquam et purus dictum. In nunc nulla orci. A massa curabitur, etiam iure ulum, blandit ullamcorper, justo at aenean pulvinar. Felis aliquam hac duis et feugiat eu. Duis feugiat volutpat bibendum, eget a nisl est eros, nibh metus placerat faucibus penatibus, natoque diam.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Consent and Information Collection and Use<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Rictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egesttupdebitis, placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaodo audales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor amet peiet feugi nim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna. Porttitor praesent facilisis aliquet.<\\/p><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Eictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna diconpbus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpurgna debplarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor ametperdiet fgiat. Enim lacus eu duisest.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Cookies and Log Files<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Dictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongen pebus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpmagbitis plarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaselsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodoostie dolor amet imperdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><ul class=\\\"cmn-list\\\" style=\\\"margin-top:20px;\\\"><li><span style=\\\"color:rgb(151,175,213);\\\">Aras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placat in scelerisque, purus metus est, scelerisque quis purusi<\\/span><\\/li><li><span style=\\\"color:rgb(151,175,213);\\\"><br \\/><\\/span><\\/li><\\/ul><span style=\\\"color:rgb(151,175,213);\\\">Cras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumiulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scesque, purus metus est, scelerisque quis purusi<\\/span><\\/div><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><font color=\\\"#97afd5\\\"><br \\/><\\/font><span style=\\\"color:rgb(151,175,213);\\\">Qras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scelerisque, purus metus est, scelerisque quis purus i<\\/span><br \\/><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Data Security and Retention<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rebiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus m.modo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie doloremrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus tesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Information Form Customer<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rubiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsodo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolemrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pelltesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div>\"}', '2021-06-06 05:29:14', '2021-06-07 09:10:32'),
(77, 'templates.labflix.', 'policy_pages.element', '{\"title\":\"Privacy and Policy\",\"description\":\"<h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Overview<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Nullam turpis dolorem, vivamus placerat in donec est, nonummy tristique massa a, dui felis in. Nulla lorem aenean montes varius massula sed, ut at ante, quis velit, at amet amet placerat. Vestibulum in porttitsum eros vel in, imperdiet amet aliquam et purus dictum. In nunc nulla orci. A massa curabitur, etiam iure ulum, blandit ullamcorper, justo at aenean pulvinar. Felis aliquam hac duis et feugiat eu. Duis feugiat volutpat bibendum, eget a nisl est eros, nibh metus placerat faucibus penatibus, natoque diam.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Consent and Information Collection and Use<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Rictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egesttupdebitis, placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaodo audales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor amet peiet feugi nim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna. Porttitor praesent facilisis aliquet.<\\/p><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Eictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna diconpbus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpurgna debplarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor ametperdiet fgiat. Enim lacus eu duisest.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Cookies and Log Files<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Dictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongen pebus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpmagbitis plarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaselsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodoostie dolor amet imperdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><ul class=\\\"cmn-list\\\" style=\\\"margin-top:20px;\\\"><li><span style=\\\"color:rgb(151,175,213);\\\">Aras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placat in scelerisque, purus metus est, scelerisque quis purusi<\\/span><\\/li><li><span style=\\\"color:rgb(151,175,213);\\\"><br \\/><\\/span><\\/li><\\/ul><span style=\\\"color:rgb(151,175,213);\\\">Cras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumiulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scesque, purus metus est, scelerisque quis purusi<\\/span><\\/div><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><font color=\\\"#97afd5\\\"><br \\/><\\/font><span style=\\\"color:rgb(151,175,213);\\\">Qras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scelerisque, purus metus est, scelerisque quis purus i<\\/span><br \\/><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Data Security and Retention<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rebiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus m.modo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie doloremrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus tesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Information Form Customer<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rubiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsodo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolemrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pelltesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div>\"}', '2021-06-06 05:29:27', '2021-06-07 09:10:41'),
(78, 'templates.labflix.', 'social_icon.element', '{\"title\":\"Facebook\",\"social_icon\":\"<i class=\\\"lab la-facebook-f\\\"><\\/i>\",\"url\":\"https:\\/\\/www.facebook.com\\/\"}', '2022-05-25 10:31:48', '2022-05-25 10:31:48'),
(79, 'templates.labflix.', 'social_icon.element', '{\"title\":\"Twitter\",\"social_icon\":\"<i class=\\\"lab la-twitter\\\"><\\/i>\",\"url\":\"https:\\/\\/www.twitter.com\\/\"}', '2022-05-25 10:32:22', '2022-05-25 10:32:22'),
(80, 'templates.labflix.', 'social_icon.element', '{\"title\":\"Instagram\",\"social_icon\":\"<i class=\\\"lab la-instagram\\\"><\\/i>\",\"url\":\"https:\\/\\/www.instagram.com\\/\"}', '2022-05-25 10:33:37', '2022-05-25 10:33:37'),
(81, 'templates.labflix.', 'social_icon.element', '{\"title\":\"Linkedin\",\"social_icon\":\"<i class=\\\"lab la-linkedin\\\"><\\/i>\",\"url\":\"https:\\/\\/www.linkedin.com\\/\"}', '2022-05-25 10:34:07', '2022-05-25 10:34:07'),
(82, 'templates.labflix.', 'short_links.element', '{\"title\":\"Our Vision\",\"description\":\"<div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;\\\"><h3 class=\\\"title\\\" style=\\\"margin:0px 0px 15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\">Overview<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"color:rgb(33,37,41);font-family:Roboto, sans-serif;font-size:16px;font-weight:400;\\\"><p style=\\\"margin-right:0px;margin-left:0px;font-size:16px;color:rgb(151,175,213);\\\">Nullam turpis dolorem, vivamus placerat in donec est, nonummy tristique massa a, dui felis in. Nulla lorem aenean montes varius massula sed, ut at ante, quis velit, at amet amet placerat. Vestibulum in porttitsum eros vel in, imperdiet amet aliquam et purus dictum. In nunc nulla orci. A massa curabitur, etiam iure ulum, blandit ullamcorper, justo at aenean pulvinar. Felis aliquam hac duis et feugiat eu. Duis feugiat volutpat bibendum, eget a nisl est eros, nibh metus placerat faucibus penatibus, natoque diam.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\">Consent and Information Collection and Use<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"margin-top:25px;color:rgb(33,37,41);font-family:Roboto, sans-serif;font-size:16px;font-weight:400;\\\"><p style=\\\"margin-right:0px;margin-left:0px;font-size:16px;color:rgb(151,175,213);\\\">Rictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egesttupdebitis, placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaodo audales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor amet peiet feugi nim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna. Porttitor praesent facilisis aliquet.<\\/p><p style=\\\"margin-right:0px;margin-left:0px;font-size:16px;color:rgb(151,175,213);\\\">Eictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna diconpbus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpurgna debplarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor ametperdiet fgiat. Enim lacus eu duisest.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\">Cookies and Log Files<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"margin-top:25px;color:rgb(33,37,41);font-family:Roboto, sans-serif;font-size:16px;font-weight:400;\\\"><p style=\\\"margin-right:0px;margin-left:0px;font-size:16px;color:rgb(151,175,213);\\\">Dictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongen pebus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpmagbitis plarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaselsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodoostie dolor amet imperdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><ul class=\\\"cmn-list\\\" style=\\\"margin-top:20px;\\\"><li><span style=\\\"color:rgb(151,175,213);\\\">Aras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placat in scelerisque, purus metus est, scelerisque quis purusi<\\/span><\\/li><li><span style=\\\"color:rgb(151,175,213);\\\"><br \\/><\\/span><\\/li><\\/ul><span style=\\\"color:rgb(151,175,213);\\\">Cras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumiulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scesque, purus metus est, scelerisque quis purusi<\\/span><\\/div><div class=\\\"block-content\\\" style=\\\"margin-top:25px;font-family:Roboto, sans-serif;font-size:16px;font-weight:400;\\\"><font color=\\\"#97afd5\\\"><br \\/><\\/font><span style=\\\"color:rgb(151,175,213);\\\">Qras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scelerisque, purus metus est, scelerisque quis purus i<\\/span><br \\/><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\">Data Security and Retention<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"margin-top:25px;color:rgb(33,37,41);font-family:Roboto, sans-serif;font-size:16px;font-weight:400;\\\"><p style=\\\"margin-right:0px;margin-left:0px;font-size:16px;color:rgb(151,175,213);\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rebiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus m.modo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie doloremrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus tesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\">Information Form Customer<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-family:Poppins, sans-serif;font-weight:600;line-height:1.5;color:rgb(255,255,255);font-size:24px;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"margin-top:25px;color:rgb(33,37,41);font-family:Roboto, sans-serif;font-size:16px;font-weight:400;\\\"><p style=\\\"margin-right:0px;margin-left:0px;font-size:16px;color:rgb(151,175,213);\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rubiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsodo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolemrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pelltesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div><\\/div>\"}', '2021-06-06 05:37:50', '2021-06-07 09:09:48'),
(83, 'templates.labflix.', 'short_links.element', '{\"title\":\"Our Mission\",\"description\":\"<h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Overview<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Nullam turpis dolorem, vivamus placerat in donec est, nonummy tristique massa a, dui felis in. Nulla lorem aenean montes varius massula sed, ut at ante, quis velit, at amet amet placerat. Vestibulum in porttitsum eros vel in, imperdiet amet aliquam et purus dictum. In nunc nulla orci. A massa curabitur, etiam iure ulum, blandit ullamcorper, justo at aenean pulvinar. Felis aliquam hac duis et feugiat eu. Duis feugiat volutpat bibendum, eget a nisl est eros, nibh metus placerat faucibus penatibus, natoque diam.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Consent and Information Collection and Use<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Rictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egesttupdebitis, placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaodo audales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor amet peiet feugi nim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna. Porttitor praesent facilisis aliquet.<\\/p><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Eictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna diconpbus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpurgna debplarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor ametperdiet fgiat. Enim lacus eu duisest.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Cookies and Log Files<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Dictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongen pebus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpmagbitis plarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaselsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodoostie dolor amet imperdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><ul class=\\\"cmn-list\\\" style=\\\"margin-top:20px;\\\"><li><span style=\\\"color:rgb(151,175,213);\\\">Aras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placat in scelerisque, purus metus est, scelerisque quis purusi<\\/span><\\/li><li><span style=\\\"color:rgb(151,175,213);\\\"><br \\/><\\/span><\\/li><\\/ul><span style=\\\"color:rgb(151,175,213);\\\">Cras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumiulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scesque, purus metus est, scelerisque quis purusi<\\/span><\\/div><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><font color=\\\"#97afd5\\\"><br \\/><\\/font><span style=\\\"color:rgb(151,175,213);\\\">Qras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scelerisque, purus metus est, scelerisque quis purus i<\\/span><br \\/><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Data Security and Retention<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rebiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus m.modo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie doloremrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus tesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Information Form Customer<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rubiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsodo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolemrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pelltesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div>\"}', '2021-06-06 05:38:03', '2021-06-07 09:10:15'),
(84, 'templates.labflix.', 'short_links.element', '{\"title\":\"About Us\",\"description\":\"<h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Overview<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Nullam turpis dolorem, vivamus placerat in donec est, nonummy tristique massa a, dui felis in. Nulla lorem aenean montes varius massula sed, ut at ante, quis velit, at amet amet placerat. Vestibulum in porttitsum eros vel in, imperdiet amet aliquam et purus dictum. In nunc nulla orci. A massa curabitur, etiam iure ulum, blandit ullamcorper, justo at aenean pulvinar. Felis aliquam hac duis et feugiat eu. Duis feugiat volutpat bibendum, eget a nisl est eros, nibh metus placerat faucibus penatibus, natoque diam.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Consent and Information Collection and Use<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Rictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egesttupdebitis, placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaodo audales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor amet peiet feugi nim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna. Porttitor praesent facilisis aliquet.<\\/p><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Eictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna diconpbus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpurgna debplarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolor ametperdiet fgiat. Enim lacus eu duisest.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Cookies and Log Files<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Dictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongen pebus suspendissjusto, eget adipiscing, eros in donec ligula cursus integer. Accumsan egestas tpmagbitis plarat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phaselsum.coogue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodoostie dolor amet imperdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pellentesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><ul class=\\\"cmn-list\\\" style=\\\"margin-top:20px;\\\"><li><span style=\\\"color:rgb(151,175,213);\\\">Aras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placat in scelerisque, purus metus est, scelerisque quis purusi<\\/span><\\/li><li><span style=\\\"color:rgb(151,175,213);\\\"><br \\/><\\/span><\\/li><\\/ul><span style=\\\"color:rgb(151,175,213);\\\">Cras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumiulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scesque, purus metus est, scelerisque quis purusi<\\/span><\\/div><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><font color=\\\"#97afd5\\\"><br \\/><\\/font><span style=\\\"color:rgb(151,175,213);\\\">Qras mi ac facilisis nec turpis maecenas, curabitur penatibus bibendum nibh nec, lorem integer donec a, risus quis ullamcorper, ante sapien wisi integer. Neque accumsan vestibulum. Vestibulum venenatis sem sit. Mauris eu curabitur eros, turpis elit alias in morbi, ac natoque quis, porttitor amet ut, eu eu aenean aliquam augue vel. Sed placerat in scelerisque, purus metus est, scelerisque quis purus i<\\/span><br \\/><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Data Security and Retention<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dicongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rebiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus m.modo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie doloremrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus tesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\">Information Form Customer<\\/h3><h3 class=\\\"title\\\" style=\\\"margin-bottom:15px;font-weight:600;line-height:1.5;font-size:24px;color:rgb(255,255,255);font-family:Poppins, sans-serif;\\\"><\\/h3><div class=\\\"block-content\\\" style=\\\"font-family:Roboto, sans-serif;margin-top:25px;\\\"><p style=\\\"margin-right:0px;margin-left:0px;color:rgb(151,175,213);font-size:16px;\\\">Aictumst molestie dui nulla bibendum tellus. Purus tincidunt amet pellentesque dis aliquet, urna dtucongue penatibus suspendisjusget adipiscing, eros in donec ligula cursus integer. Accumsan egestas turpis rubiti placerat vestibulum commodo nascetur odio at, tortor dui posuere ornare donec mauris, phasellus ipsodo augue. A sodales venenatis, amet massa fringilla, euismod elit tellus amet. Commodo molestie dolemrdiet feugiat. Enim lacus eu duis est. Risus gravida eget, consequat tortor, felis elit dolor mauris purus pelltesque augue, leo nisl dis vehicula, vehicula magna.<\\/p><\\/div>\"}', '2021-06-06 05:38:30', '2021-06-07 09:10:23'),
(85, 'templates.labflix.', 'app_welcome.content', '{\"has_image\":\"1\",\"screen_1_heading\":\"Eu eaque ipsum dist\",\"screen_1_subheading\":\"Quam aspernatur arch\",\"screen_2_heading\":\"Nemo fugiat assumend\",\"screen_2_subheading\":\"Ullam eius exercitat\",\"screen_3_heading\":\"Eius exercitationem\",\"screen_3_subheading\":\"Elit nisi facilis q\",\"background_image\":\"62c567b3dde201657104307.png\"}', '2022-06-07 05:07:07', '2023-12-10 05:51:28'),
(88, 'templates.basic.', 'reset_password.content', '{\"has_image\":\"1\",\"background_image\":\"6576db48987ba1702288200.jpg\"}', '2023-12-11 03:50:00', '2023-12-11 03:50:00');

-- --------------------------------------------------------

--
-- Структура таблицы `gateways`
--

CREATE TABLE `gateways` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `form_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `code` int(11) DEFAULT NULL,
  `name` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `alias` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'NULL',
  `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1=>enable, 2=>disable',
  `gateway_parameters` text COLLATE utf8mb4_unicode_ci,
  `supported_currencies` text COLLATE utf8mb4_unicode_ci,
  `crypto` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0: fiat currency, 1: crypto currency',
  `extra` text COLLATE utf8mb4_unicode_ci,
  `description` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `gateways`
--

INSERT INTO `gateways` (`id`, `form_id`, `code`, `name`, `alias`, `status`, `gateway_parameters`, `supported_currencies`, `crypto`, `extra`, `description`, `created_at`, `updated_at`) VALUES
(1, 0, 101, 'Paypal', 'Paypal', 1, '{\"paypal_email\":{\"title\":\"PayPal Email\",\"global\":true,\"value\":\"sb-owud61543012@business.example.com\"}}', '{\"AUD\":\"AUD\",\"BRL\":\"BRL\",\"CAD\":\"CAD\",\"CZK\":\"CZK\",\"DKK\":\"DKK\",\"EUR\":\"EUR\",\"HKD\":\"HKD\",\"HUF\":\"HUF\",\"INR\":\"INR\",\"ILS\":\"ILS\",\"JPY\":\"JPY\",\"MYR\":\"MYR\",\"MXN\":\"MXN\",\"TWD\":\"TWD\",\"NZD\":\"NZD\",\"NOK\":\"NOK\",\"PHP\":\"PHP\",\"PLN\":\"PLN\",\"GBP\":\"GBP\",\"RUB\":\"RUB\",\"SGD\":\"SGD\",\"SEK\":\"SEK\",\"CHF\":\"CHF\",\"THB\":\"THB\",\"USD\":\"$\"}', 0, NULL, NULL, '2019-09-14 13:14:22', '2021-05-21 00:04:38'),
(2, 0, 102, 'Perfect Money', 'PerfectMoney', 1, '{\"passphrase\":{\"title\":\"ALTERNATE PASSPHRASE\",\"global\":true,\"value\":\"hR26aw02Q1eEeUPSIfuwNypXX\"},\"wallet_id\":{\"title\":\"PM Wallet\",\"global\":false,\"value\":\"\"}}', '{\"USD\":\"$\",\"EUR\":\"\\u20ac\"}', 0, NULL, NULL, '2019-09-14 13:14:22', '2021-05-21 01:35:33'),
(3, 0, 103, 'Stripe Hosted', 'Stripe', 1, '{\"secret_key\":{\"title\":\"Secret Key\",\"global\":true,\"value\":\"sk_test_51I6GGiCGv1sRiQlEi5v1or9eR0HVbuzdMd2rW4n3DxC8UKfz66R4X6n4yYkzvI2LeAIuRU9H99ZpY7XCNFC9xMs500vBjZGkKG\"},\"publishable_key\":{\"title\":\"PUBLISHABLE KEY\",\"global\":true,\"value\":\"pk_test_51I6GGiCGv1sRiQlEOisPKrjBqQqqcFsw8mXNaZ2H2baN6R01NulFS7dKFji1NRRxuchoUTEDdB7ujKcyKYSVc0z500eth7otOM\"}}', '{\"USD\":\"USD\",\"AUD\":\"AUD\",\"BRL\":\"BRL\",\"CAD\":\"CAD\",\"CHF\":\"CHF\",\"DKK\":\"DKK\",\"EUR\":\"EUR\",\"GBP\":\"GBP\",\"HKD\":\"HKD\",\"INR\":\"INR\",\"JPY\":\"JPY\",\"MXN\":\"MXN\",\"MYR\":\"MYR\",\"NOK\":\"NOK\",\"NZD\":\"NZD\",\"PLN\":\"PLN\",\"SEK\":\"SEK\",\"SGD\":\"SGD\"}', 0, NULL, NULL, '2019-09-14 13:14:22', '2021-05-21 00:48:36'),
(4, 0, 104, 'Skrill', 'Skrill', 1, '{\"pay_to_email\":{\"title\":\"Skrill Email\",\"global\":true,\"value\":\"merchant@skrill.com\"},\"secret_key\":{\"title\":\"Secret Key\",\"global\":true,\"value\":\"---\"}}', '{\"AED\":\"AED\",\"AUD\":\"AUD\",\"BGN\":\"BGN\",\"BHD\":\"BHD\",\"CAD\":\"CAD\",\"CHF\":\"CHF\",\"CZK\":\"CZK\",\"DKK\":\"DKK\",\"EUR\":\"EUR\",\"GBP\":\"GBP\",\"HKD\":\"HKD\",\"HRK\":\"HRK\",\"HUF\":\"HUF\",\"ILS\":\"ILS\",\"INR\":\"INR\",\"ISK\":\"ISK\",\"JOD\":\"JOD\",\"JPY\":\"JPY\",\"KRW\":\"KRW\",\"KWD\":\"KWD\",\"MAD\":\"MAD\",\"MYR\":\"MYR\",\"NOK\":\"NOK\",\"NZD\":\"NZD\",\"OMR\":\"OMR\",\"PLN\":\"PLN\",\"QAR\":\"QAR\",\"RON\":\"RON\",\"RSD\":\"RSD\",\"SAR\":\"SAR\",\"SEK\":\"SEK\",\"SGD\":\"SGD\",\"THB\":\"THB\",\"TND\":\"TND\",\"TRY\":\"TRY\",\"TWD\":\"TWD\",\"USD\":\"USD\",\"ZAR\":\"ZAR\",\"COP\":\"COP\"}', 0, NULL, NULL, '2019-09-14 13:14:22', '2021-05-21 01:30:16'),
(5, 0, 105, 'PayTM', 'Paytm', 1, '{\"MID\":{\"title\":\"Merchant ID\",\"global\":true,\"value\":\"DIY12386817555501617\"},\"merchant_key\":{\"title\":\"Merchant Key\",\"global\":true,\"value\":\"bKMfNxPPf_QdZppa\"},\"WEBSITE\":{\"title\":\"Paytm Website\",\"global\":true,\"value\":\"DIYtestingweb\"},\"INDUSTRY_TYPE_ID\":{\"title\":\"Industry Type\",\"global\":true,\"value\":\"Retail\"},\"CHANNEL_ID\":{\"title\":\"CHANNEL ID\",\"global\":true,\"value\":\"WEB\"},\"transaction_url\":{\"title\":\"Transaction URL\",\"global\":true,\"value\":\"https:\\/\\/pguat.paytm.com\\/oltp-web\\/processTransaction\"},\"transaction_status_url\":{\"title\":\"Transaction STATUS URL\",\"global\":true,\"value\":\"https:\\/\\/pguat.paytm.com\\/paytmchecksum\\/paytmCallback.jsp\"}}', '{\"AUD\":\"AUD\",\"ARS\":\"ARS\",\"BDT\":\"BDT\",\"BRL\":\"BRL\",\"BGN\":\"BGN\",\"CAD\":\"CAD\",\"CLP\":\"CLP\",\"CNY\":\"CNY\",\"COP\":\"COP\",\"HRK\":\"HRK\",\"CZK\":\"CZK\",\"DKK\":\"DKK\",\"EGP\":\"EGP\",\"EUR\":\"EUR\",\"GEL\":\"GEL\",\"GHS\":\"GHS\",\"HKD\":\"HKD\",\"HUF\":\"HUF\",\"INR\":\"INR\",\"IDR\":\"IDR\",\"ILS\":\"ILS\",\"JPY\":\"JPY\",\"KES\":\"KES\",\"MYR\":\"MYR\",\"MXN\":\"MXN\",\"MAD\":\"MAD\",\"NPR\":\"NPR\",\"NZD\":\"NZD\",\"NGN\":\"NGN\",\"NOK\":\"NOK\",\"PKR\":\"PKR\",\"PEN\":\"PEN\",\"PHP\":\"PHP\",\"PLN\":\"PLN\",\"RON\":\"RON\",\"RUB\":\"RUB\",\"SGD\":\"SGD\",\"ZAR\":\"ZAR\",\"KRW\":\"KRW\",\"LKR\":\"LKR\",\"SEK\":\"SEK\",\"CHF\":\"CHF\",\"THB\":\"THB\",\"TRY\":\"TRY\",\"UGX\":\"UGX\",\"UAH\":\"UAH\",\"AED\":\"AED\",\"GBP\":\"GBP\",\"USD\":\"USD\",\"VND\":\"VND\",\"XOF\":\"XOF\"}', 0, NULL, NULL, '2019-09-14 13:14:22', '2021-05-21 03:00:44'),
(6, 0, 106, 'Payeer', 'Payeer', 1, '{\"merchant_id\":{\"title\":\"Merchant ID\",\"global\":true,\"value\":\"866989763\"},\"secret_key\":{\"title\":\"Secret key\",\"global\":true,\"value\":\"7575\"}}', '{\"USD\":\"USD\",\"EUR\":\"EUR\",\"RUB\":\"RUB\"}', 0, '{\"status\":{\"title\": \"Status URL\",\"value\":\"ipn.Payeer\"}}', NULL, '2019-09-14 13:14:22', '2023-12-11 03:59:09'),
(7, 0, 107, 'PayStack', 'Paystack', 1, '{\"public_key\":{\"title\":\"Public key\",\"global\":true,\"value\":\"pk_test_cd330608eb47970889bca397ced55c1dd5ad3783\"},\"secret_key\":{\"title\":\"Secret key\",\"global\":true,\"value\":\"sk_test_8a0b1f199362d7acc9c390bff72c4e81f74e2ac3\"}}', '{\"USD\":\"USD\",\"NGN\":\"NGN\"}', 0, '{\"callback\":{\"title\": \"Callback URL\",\"value\":\"ipn.Paystack\"},\"webhook\":{\"title\": \"Webhook URL\",\"value\":\"ipn.Paystack\"}}\r\n', NULL, '2019-09-14 13:14:22', '2021-05-21 01:49:51'),
(8, 0, 108, 'VoguePay', 'Voguepay', 1, '{\"merchant_id\":{\"title\":\"MERCHANT ID\",\"global\":true,\"value\":\"demo\"}}', '{\"USD\":\"USD\",\"GBP\":\"GBP\",\"EUR\":\"EUR\",\"GHS\":\"GHS\",\"NGN\":\"NGN\",\"ZAR\":\"ZAR\"}', 0, NULL, NULL, '2019-09-14 13:14:22', '2021-05-21 01:22:38'),
(9, 0, 109, 'Flutterwave', 'Flutterwave', 1, '{\"public_key\":{\"title\":\"Public Key\",\"global\":true,\"value\":\"----------------\"},\"secret_key\":{\"title\":\"Secret Key\",\"global\":true,\"value\":\"-----------------------\"},\"encryption_key\":{\"title\":\"Encryption Key\",\"global\":true,\"value\":\"------------------\"}}', '{\"BIF\":\"BIF\",\"CAD\":\"CAD\",\"CDF\":\"CDF\",\"CVE\":\"CVE\",\"EUR\":\"EUR\",\"GBP\":\"GBP\",\"GHS\":\"GHS\",\"GMD\":\"GMD\",\"GNF\":\"GNF\",\"KES\":\"KES\",\"LRD\":\"LRD\",\"MWK\":\"MWK\",\"MZN\":\"MZN\",\"NGN\":\"NGN\",\"RWF\":\"RWF\",\"SLL\":\"SLL\",\"STD\":\"STD\",\"TZS\":\"TZS\",\"UGX\":\"UGX\",\"USD\":\"USD\",\"XAF\":\"XAF\",\"XOF\":\"XOF\",\"ZMK\":\"ZMK\",\"ZMW\":\"ZMW\",\"ZWD\":\"ZWD\"}', 0, NULL, NULL, '2019-09-14 13:14:22', '2021-06-05 11:37:45'),
(10, 0, 110, 'RazorPay', 'Razorpay', 1, '{\"key_id\":{\"title\":\"Key Id\",\"global\":true,\"value\":\"rzp_test_kiOtejPbRZU90E\"},\"key_secret\":{\"title\":\"Key Secret \",\"global\":true,\"value\":\"osRDebzEqbsE1kbyQJ4y0re7\"}}', '{\"INR\":\"INR\"}', 0, NULL, NULL, '2019-09-14 13:14:22', '2021-05-21 02:51:32'),
(11, 0, 111, 'Stripe Storefront', 'StripeJs', 1, '{\"secret_key\":{\"title\":\"Secret Key\",\"global\":true,\"value\":\"sk_test_51I6GGiCGv1sRiQlEi5v1or9eR0HVbuzdMd2rW4n3DxC8UKfz66R4X6n4yYkzvI2LeAIuRU9H99ZpY7XCNFC9xMs500vBjZGkKG\"},\"publishable_key\":{\"title\":\"PUBLISHABLE KEY\",\"global\":true,\"value\":\"pk_test_51I6GGiCGv1sRiQlEOisPKrjBqQqqcFsw8mXNaZ2H2baN6R01NulFS7dKFji1NRRxuchoUTEDdB7ujKcyKYSVc0z500eth7otOM\"}}', '{\"USD\":\"USD\",\"AUD\":\"AUD\",\"BRL\":\"BRL\",\"CAD\":\"CAD\",\"CHF\":\"CHF\",\"DKK\":\"DKK\",\"EUR\":\"EUR\",\"GBP\":\"GBP\",\"HKD\":\"HKD\",\"INR\":\"INR\",\"JPY\":\"JPY\",\"MXN\":\"MXN\",\"MYR\":\"MYR\",\"NOK\":\"NOK\",\"NZD\":\"NZD\",\"PLN\":\"PLN\",\"SEK\":\"SEK\",\"SGD\":\"SGD\"}', 0, NULL, NULL, '2019-09-14 13:14:22', '2021-05-21 00:53:10'),
(12, 0, 112, 'Instamojo', 'Instamojo', 1, '{\"api_key\":{\"title\":\"API KEY\",\"global\":true,\"value\":\"test_2241633c3bc44a3de84a3b33969\"},\"auth_token\":{\"title\":\"Auth Token\",\"global\":true,\"value\":\"test_279f083f7bebefd35217feef22d\"},\"salt\":{\"title\":\"Salt\",\"global\":true,\"value\":\"19d38908eeff4f58b2ddda2c6d86ca25\"}}', '{\"INR\":\"INR\"}', 0, NULL, NULL, '2019-09-14 13:14:22', '2021-05-21 02:56:20'),
(13, 0, 501, 'Blockchain', 'Blockchain', 1, '{\"api_key\":{\"title\":\"API Key\",\"global\":true,\"value\":\"55529946-05ca-48ff-8710-f279d86b1cc5\"},\"xpub_code\":{\"title\":\"XPUB CODE\",\"global\":true,\"value\":\"xpub6CKQ3xxWyBoFAF83izZCSFUorptEU9AF8TezhtWeMU5oefjX3sFSBw62Lr9iHXPkXmDQJJiHZeTRtD9Vzt8grAYRhvbz4nEvBu3QKELVzFK\"}}', '{\"BTC\":\"BTC\"}', 1, NULL, NULL, '2019-09-14 13:14:22', '2022-03-21 07:41:56'),
(15, 0, 503, 'CoinPayments', 'Coinpayments', 1, '{\"public_key\":{\"title\":\"Public Key\",\"global\":true,\"value\":\"---------------\"},\"private_key\":{\"title\":\"Private Key\",\"global\":true,\"value\":\"------------\"},\"merchant_id\":{\"title\":\"Merchant ID\",\"global\":true,\"value\":\"93a1e014c4ad60a7980b4a7239673cb4\"}}', '{\"BTC\":\"Bitcoin\",\"BTC.LN\":\"Bitcoin (Lightning Network)\",\"LTC\":\"Litecoin\",\"CPS\":\"CPS Coin\",\"VLX\":\"Velas\",\"APL\":\"Apollo\",\"AYA\":\"Aryacoin\",\"BAD\":\"Badcoin\",\"BCD\":\"Bitcoin Diamond\",\"BCH\":\"Bitcoin Cash\",\"BCN\":\"Bytecoin\",\"BEAM\":\"BEAM\",\"BITB\":\"Bean Cash\",\"BLK\":\"BlackCoin\",\"BSV\":\"Bitcoin SV\",\"BTAD\":\"Bitcoin Adult\",\"BTG\":\"Bitcoin Gold\",\"BTT\":\"BitTorrent\",\"CLOAK\":\"CloakCoin\",\"CLUB\":\"ClubCoin\",\"CRW\":\"Crown\",\"CRYP\":\"CrypticCoin\",\"CRYT\":\"CryTrExCoin\",\"CURE\":\"CureCoin\",\"DASH\":\"DASH\",\"DCR\":\"Decred\",\"DEV\":\"DeviantCoin\",\"DGB\":\"DigiByte\",\"DOGE\":\"Dogecoin\",\"EBST\":\"eBoost\",\"EOS\":\"EOS\",\"ETC\":\"Ether Classic\",\"ETH\":\"Ethereum\",\"ETN\":\"Electroneum\",\"EUNO\":\"EUNO\",\"EXP\":\"EXP\",\"Expanse\":\"Expanse\",\"FLASH\":\"FLASH\",\"GAME\":\"GameCredits\",\"GLC\":\"Goldcoin\",\"GRS\":\"Groestlcoin\",\"KMD\":\"Komodo\",\"LOKI\":\"LOKI\",\"LSK\":\"LSK\",\"MAID\":\"MaidSafeCoin\",\"MUE\":\"MonetaryUnit\",\"NAV\":\"NAV Coin\",\"NEO\":\"NEO\",\"NMC\":\"Namecoin\",\"NVST\":\"NVO Token\",\"NXT\":\"NXT\",\"OMNI\":\"OMNI\",\"PINK\":\"PinkCoin\",\"PIVX\":\"PIVX\",\"POT\":\"PotCoin\",\"PPC\":\"Peercoin\",\"PROC\":\"ProCurrency\",\"PURA\":\"PURA\",\"QTUM\":\"QTUM\",\"RES\":\"Resistance\",\"RVN\":\"Ravencoin\",\"RVR\":\"RevolutionVR\",\"SBD\":\"Steem Dollars\",\"SMART\":\"SmartCash\",\"SOXAX\":\"SOXAX\",\"STEEM\":\"STEEM\",\"STRAT\":\"STRAT\",\"SYS\":\"Syscoin\",\"TPAY\":\"TokenPay\",\"TRIGGERS\":\"Triggers\",\"TRX\":\" TRON\",\"UBQ\":\"Ubiq\",\"UNIT\":\"UniversalCurrency\",\"USDT\":\"Tether USD (Omni Layer)\",\"USDT.BEP20\":\"Tether USD (BSC Chain)\",\"USDT.ERC20\":\"Tether USD (ERC20)\",\"USDT.TRC20\":\"Tether USD (Tron/TRC20)\",\"VTC\":\"Vertcoin\",\"WAVES\":\"Waves\",\"XCP\":\"Counterparty\",\"XEM\":\"NEM\",\"XMR\":\"Monero\",\"XSN\":\"Stakenet\",\"XSR\":\"SucreCoin\",\"XVG\":\"VERGE\",\"XZC\":\"ZCoin\",\"ZEC\":\"ZCash\",\"ZEN\":\"Horizen\"}', 1, NULL, NULL, '2019-09-14 13:14:22', '2022-05-23 07:51:27'),
(16, 0, 504, 'CoinPayments Fiat', 'CoinpaymentsFiat', 1, '{\"merchant_id\":{\"title\":\"Merchant ID\",\"global\":true,\"value\":\"6515561\"}}', '{\"USD\":\"USD\",\"AUD\":\"AUD\",\"BRL\":\"BRL\",\"CAD\":\"CAD\",\"CHF\":\"CHF\",\"CLP\":\"CLP\",\"CNY\":\"CNY\",\"DKK\":\"DKK\",\"EUR\":\"EUR\",\"GBP\":\"GBP\",\"HKD\":\"HKD\",\"INR\":\"INR\",\"ISK\":\"ISK\",\"JPY\":\"JPY\",\"KRW\":\"KRW\",\"NZD\":\"NZD\",\"PLN\":\"PLN\",\"RUB\":\"RUB\",\"SEK\":\"SEK\",\"SGD\":\"SGD\",\"THB\":\"THB\",\"TWD\":\"TWD\"}', 0, NULL, NULL, '2019-09-14 13:14:22', '2021-05-21 02:07:44'),
(17, 0, 505, 'Coingate', 'Coingate', 1, '{\"api_key\":{\"title\":\"API Key\",\"global\":true,\"value\":\"6354mwVCEw5kHzRJ6thbGo-N\"}}', '{\"USD\":\"USD\",\"EUR\":\"EUR\"}', 0, NULL, NULL, '2019-09-14 13:14:22', '2022-03-30 09:24:57'),
(18, 0, 506, 'Coinbase Commerce', 'CoinbaseCommerce', 1, '{\"api_key\":{\"title\":\"API Key\",\"global\":true,\"value\":\"c47cd7df-d8e8-424b-a20a\"},\"secret\":{\"title\":\"Webhook Shared Secret\",\"global\":true,\"value\":\"55871878-2c32-4f64-ab66\"}}', '{\"USD\":\"USD\",\"EUR\":\"EUR\",\"JPY\":\"JPY\",\"GBP\":\"GBP\",\"AUD\":\"AUD\",\"CAD\":\"CAD\",\"CHF\":\"CHF\",\"CNY\":\"CNY\",\"SEK\":\"SEK\",\"NZD\":\"NZD\",\"MXN\":\"MXN\",\"SGD\":\"SGD\",\"HKD\":\"HKD\",\"NOK\":\"NOK\",\"KRW\":\"KRW\",\"TRY\":\"TRY\",\"RUB\":\"RUB\",\"INR\":\"INR\",\"BRL\":\"BRL\",\"ZAR\":\"ZAR\",\"AED\":\"AED\",\"AFN\":\"AFN\",\"ALL\":\"ALL\",\"AMD\":\"AMD\",\"ANG\":\"ANG\",\"AOA\":\"AOA\",\"ARS\":\"ARS\",\"AWG\":\"AWG\",\"AZN\":\"AZN\",\"BAM\":\"BAM\",\"BBD\":\"BBD\",\"BDT\":\"BDT\",\"BGN\":\"BGN\",\"BHD\":\"BHD\",\"BIF\":\"BIF\",\"BMD\":\"BMD\",\"BND\":\"BND\",\"BOB\":\"BOB\",\"BSD\":\"BSD\",\"BTN\":\"BTN\",\"BWP\":\"BWP\",\"BYN\":\"BYN\",\"BZD\":\"BZD\",\"CDF\":\"CDF\",\"CLF\":\"CLF\",\"CLP\":\"CLP\",\"COP\":\"COP\",\"CRC\":\"CRC\",\"CUC\":\"CUC\",\"CUP\":\"CUP\",\"CVE\":\"CVE\",\"CZK\":\"CZK\",\"DJF\":\"DJF\",\"DKK\":\"DKK\",\"DOP\":\"DOP\",\"DZD\":\"DZD\",\"EGP\":\"EGP\",\"ERN\":\"ERN\",\"ETB\":\"ETB\",\"FJD\":\"FJD\",\"FKP\":\"FKP\",\"GEL\":\"GEL\",\"GGP\":\"GGP\",\"GHS\":\"GHS\",\"GIP\":\"GIP\",\"GMD\":\"GMD\",\"GNF\":\"GNF\",\"GTQ\":\"GTQ\",\"GYD\":\"GYD\",\"HNL\":\"HNL\",\"HRK\":\"HRK\",\"HTG\":\"HTG\",\"HUF\":\"HUF\",\"IDR\":\"IDR\",\"ILS\":\"ILS\",\"IMP\":\"IMP\",\"IQD\":\"IQD\",\"IRR\":\"IRR\",\"ISK\":\"ISK\",\"JEP\":\"JEP\",\"JMD\":\"JMD\",\"JOD\":\"JOD\",\"KES\":\"KES\",\"KGS\":\"KGS\",\"KHR\":\"KHR\",\"KMF\":\"KMF\",\"KPW\":\"KPW\",\"KWD\":\"KWD\",\"KYD\":\"KYD\",\"KZT\":\"KZT\",\"LAK\":\"LAK\",\"LBP\":\"LBP\",\"LKR\":\"LKR\",\"LRD\":\"LRD\",\"LSL\":\"LSL\",\"LYD\":\"LYD\",\"MAD\":\"MAD\",\"MDL\":\"MDL\",\"MGA\":\"MGA\",\"MKD\":\"MKD\",\"MMK\":\"MMK\",\"MNT\":\"MNT\",\"MOP\":\"MOP\",\"MRO\":\"MRO\",\"MUR\":\"MUR\",\"MVR\":\"MVR\",\"MWK\":\"MWK\",\"MYR\":\"MYR\",\"MZN\":\"MZN\",\"NAD\":\"NAD\",\"NGN\":\"NGN\",\"NIO\":\"NIO\",\"NPR\":\"NPR\",\"OMR\":\"OMR\",\"PAB\":\"PAB\",\"PEN\":\"PEN\",\"PGK\":\"PGK\",\"PHP\":\"PHP\",\"PKR\":\"PKR\",\"PLN\":\"PLN\",\"PYG\":\"PYG\",\"QAR\":\"QAR\",\"RON\":\"RON\",\"RSD\":\"RSD\",\"RWF\":\"RWF\",\"SAR\":\"SAR\",\"SBD\":\"SBD\",\"SCR\":\"SCR\",\"SDG\":\"SDG\",\"SHP\":\"SHP\",\"SLL\":\"SLL\",\"SOS\":\"SOS\",\"SRD\":\"SRD\",\"SSP\":\"SSP\",\"STD\":\"STD\",\"SVC\":\"SVC\",\"SYP\":\"SYP\",\"SZL\":\"SZL\",\"THB\":\"THB\",\"TJS\":\"TJS\",\"TMT\":\"TMT\",\"TND\":\"TND\",\"TOP\":\"TOP\",\"TTD\":\"TTD\",\"TWD\":\"TWD\",\"TZS\":\"TZS\",\"UAH\":\"UAH\",\"UGX\":\"UGX\",\"UYU\":\"UYU\",\"UZS\":\"UZS\",\"VEF\":\"VEF\",\"VND\":\"VND\",\"VUV\":\"VUV\",\"WST\":\"WST\",\"XAF\":\"XAF\",\"XAG\":\"XAG\",\"XAU\":\"XAU\",\"XCD\":\"XCD\",\"XDR\":\"XDR\",\"XOF\":\"XOF\",\"XPD\":\"XPD\",\"XPF\":\"XPF\",\"XPT\":\"XPT\",\"YER\":\"YER\",\"ZMW\":\"ZMW\",\"ZWL\":\"ZWL\"}\r\n\r\n', 0, '{\"endpoint\":{\"title\": \"Webhook Endpoint\",\"value\":\"ipn.CoinbaseCommerce\"}}', NULL, '2019-09-14 13:14:22', '2021-05-21 02:02:47'),
(24, 0, 113, 'Paypal Express', 'PaypalSdk', 1, '{\"clientId\":{\"title\":\"Paypal Client ID\",\"global\":true,\"value\":\"Ae0-tixtSV7DvLwIh3Bmu7JvHrjh5EfGdXr_cEklKAVjjezRZ747BxKILiBdzlKKyp-W8W_T7CKH1Ken\"},\"clientSecret\":{\"title\":\"Client Secret\",\"global\":true,\"value\":\"EOhbvHZgFNO21soQJT1L9Q00M3rK6PIEsdiTgXRBt2gtGtxwRer5JvKnVUGNU5oE63fFnjnYY7hq3HBA\"}}', '{\"AUD\":\"AUD\",\"BRL\":\"BRL\",\"CAD\":\"CAD\",\"CZK\":\"CZK\",\"DKK\":\"DKK\",\"EUR\":\"EUR\",\"HKD\":\"HKD\",\"HUF\":\"HUF\",\"INR\":\"INR\",\"ILS\":\"ILS\",\"JPY\":\"JPY\",\"MYR\":\"MYR\",\"MXN\":\"MXN\",\"TWD\":\"TWD\",\"NZD\":\"NZD\",\"NOK\":\"NOK\",\"PHP\":\"PHP\",\"PLN\":\"PLN\",\"GBP\":\"GBP\",\"RUB\":\"RUB\",\"SGD\":\"SGD\",\"SEK\":\"SEK\",\"CHF\":\"CHF\",\"THB\":\"THB\",\"USD\":\"$\"}', 0, NULL, NULL, '2019-09-14 13:14:22', '2021-05-20 23:01:08'),
(25, 0, 114, 'Stripe Checkout', 'StripeV3', 1, '{\"secret_key\":{\"title\":\"Secret Key\",\"global\":true,\"value\":\"sk_test_51I6GGiCGv1sRiQlEi5v1or9eR0HVbuzdMd2rW4n3DxC8UKfz66R4X6n4yYkzvI2LeAIuRU9H99ZpY7XCNFC9xMs500vBjZGkKG\"},\"publishable_key\":{\"title\":\"PUBLISHABLE KEY\",\"global\":true,\"value\":\"pk_test_51I6GGiCGv1sRiQlEOisPKrjBqQqqcFsw8mXNaZ2H2baN6R01NulFS7dKFji1NRRxuchoUTEDdB7ujKcyKYSVc0z500eth7otOM\"},\"end_point\":{\"title\":\"End Point Secret\",\"global\":true,\"value\":\"whsec_lUmit1gtxwKTveLnSe88xCSDdnPOt8g5\"}}', '{\"USD\":\"USD\",\"AUD\":\"AUD\",\"BRL\":\"BRL\",\"CAD\":\"CAD\",\"CHF\":\"CHF\",\"DKK\":\"DKK\",\"EUR\":\"EUR\",\"GBP\":\"GBP\",\"HKD\":\"HKD\",\"INR\":\"INR\",\"JPY\":\"JPY\",\"MXN\":\"MXN\",\"MYR\":\"MYR\",\"NOK\":\"NOK\",\"NZD\":\"NZD\",\"PLN\":\"PLN\",\"SEK\":\"SEK\",\"SGD\":\"SGD\"}', 0, '{\"webhook\":{\"title\": \"Webhook Endpoint\",\"value\":\"ipn.StripeV3\"}}', NULL, '2019-09-14 13:14:22', '2021-05-21 00:58:38'),
(27, 0, 115, 'Mollie', 'Mollie', 1, '{\"mollie_email\":{\"title\":\"Mollie Email \",\"global\":true,\"value\":\"vi@gmail.com\"},\"api_key\":{\"title\":\"API KEY\",\"global\":true,\"value\":\"test_cucfwKTWfft9s337qsVfn5CC4vNkrn\"}}', '{\"AED\":\"AED\",\"AUD\":\"AUD\",\"BGN\":\"BGN\",\"BRL\":\"BRL\",\"CAD\":\"CAD\",\"CHF\":\"CHF\",\"CZK\":\"CZK\",\"DKK\":\"DKK\",\"EUR\":\"EUR\",\"GBP\":\"GBP\",\"HKD\":\"HKD\",\"HRK\":\"HRK\",\"HUF\":\"HUF\",\"ILS\":\"ILS\",\"ISK\":\"ISK\",\"JPY\":\"JPY\",\"MXN\":\"MXN\",\"MYR\":\"MYR\",\"NOK\":\"NOK\",\"NZD\":\"NZD\",\"PHP\":\"PHP\",\"PLN\":\"PLN\",\"RON\":\"RON\",\"RUB\":\"RUB\",\"SEK\":\"SEK\",\"SGD\":\"SGD\",\"THB\":\"THB\",\"TWD\":\"TWD\",\"USD\":\"USD\",\"ZAR\":\"ZAR\"}', 0, NULL, NULL, '2019-09-14 13:14:22', '2021-05-21 02:44:45'),
(30, 0, 116, 'Cashmaal', 'Cashmaal', 1, '{\"web_id\":{\"title\":\"Web Id\",\"global\":true,\"value\":\"3748\"},\"ipn_key\":{\"title\":\"IPN Key\",\"global\":true,\"value\":\"546254628759524554647987\"}}', '{\"PKR\":\"PKR\",\"USD\":\"USD\"}', 0, '{\"webhook\":{\"title\": \"IPN URL\",\"value\":\"ipn.Cashmaal\"}}', NULL, NULL, '2021-06-22 08:05:04'),
(36, 0, 119, 'Mercado Pago', 'MercadoPago', 1, '{\"access_token\":{\"title\":\"Access Token\",\"global\":true,\"value\":\"3Vee5S2F\"}}', '{\"USD\":\"USD\",\"CAD\":\"CAD\",\"CHF\":\"CHF\",\"DKK\":\"DKK\",\"EUR\":\"EUR\",\"GBP\":\"GBP\",\"NOK\":\"NOK\",\"PLN\":\"PLN\",\"SEK\":\"SEK\",\"AUD\":\"AUD\",\"NZD\":\"NZD\"}', 0, NULL, NULL, NULL, '2021-07-17 09:44:29'),
(44, 0, 120, 'Authorize.net', 'Authorize', 1, '{\"login_id\":{\"title\":\"Login ID\",\"global\":true,\"value\":\"3Vee5S2F\"},\"transaction_key\":{\"title\":\"Transaction Key\",\"global\":true,\"value\":\"3Vee5S2F\"}}', '{\"USD\":\"USD\",\"CAD\":\"CAD\",\"CHF\":\"CHF\",\"DKK\":\"DKK\",\"EUR\":\"EUR\",\"GBP\":\"GBP\",\"NOK\":\"NOK\",\"PLN\":\"PLN\",\"SEK\":\"SEK\",\"AUD\":\"AUD\",\"NZD\":\"NZD\"}', 0, NULL, NULL, NULL, '2021-07-17 09:44:29'),
(45, 0, 121, 'NMI', 'NMI', 1, '{\"api_key\":{\"title\":\"API Key\",\"global\":true,\"value\":\"-------\"}}', '{\"AED\":\"AED\",\"ARS\":\"ARS\",\"AUD\":\"AUD\",\"BOB\":\"BOB\",\"BRL\":\"BRL\",\"CAD\":\"CAD\",\"CHF\":\"CHF\",\"CLP\":\"CLP\",\"CNY\":\"CNY\",\"COP\":\"COP\",\"DKK\":\"DKK\",\"EUR\":\"EUR\",\"GBP\":\"GBP\",\"HKD\":\"HKD\",\"IDR\":\"IDR\",\"ILS\":\"ILS\",\"INR\":\"INR\",\"JPY\":\"JPY\",\"KRW\":\"KRW\",\"MXN\":\"MXN\",\"MYR\":\"MYR\",\"NOK\":\"NOK\",\"NZD\":\"NZD\",\"PEN\":\"PEN\",\"PHP\":\"PHP\",\"PLN\":\"PLN\",\"PYG\":\"PYG\",\"RUB\":\"RUB\",\"SEC\":\"SEC\",\"SGD\":\"SGD\",\"THB\":\"THB\",\"TRY\":\"TRY\",\"TWD\":\"TWD\",\"USD\":\"USD\",\"ZAR\":\"ZAR\"}', 0, NULL, NULL, NULL, '2022-08-28 10:12:37'),
(46, 0, 122, 'BTCPay', 'BTCPay', 1, '{\"store_id\":{\"title\":\"Store Id\",\"global\":true,\"value\":\"-------\"},\"api_key\":{\"title\":\"Api Key\",\"global\":true,\"value\":\"------\"},\"server_name\":{\"title\":\"Server Name\",\"global\":true,\"value\":\"https:\\/\\/yourbtcpaserver.lndyn.com\"},\"secret_code\":{\"title\":\"Secret Code\",\"global\":true,\"value\":\"----------\"}}', '{\"BTC\":\"Bitcoin\",\"LTC\":\"Litecoin\"}', 1, '{\"webhook\":{\"title\": \"IPN URL\",\"value\":\"ipn.BTCPay\"}}', NULL, NULL, NULL),
(47, 0, 123, 'Now payments hosted', 'NowPaymentsHosted', 1, '{\"api_key\":{\"title\":\"API Key\",\"global\":true,\"value\":\"-------------------\"},\"secret_key\":{\"title\":\"Secret Key\",\"global\":true,\"value\":\"--------------\"}}', '{\"BTG\":\"BTG\",\"ETH\":\"ETH\",\"XMR\":\"XMR\",\"ZEC\":\"ZEC\",\"XVG\":\"XVG\",\"ADA\":\"ADA\",\"LTC\":\"LTC\",\"BCH\":\"BCH\",\"QTUM\":\"QTUM\",\"DASH\":\"DASH\",\"XLM\":\"XLM\",\"XRP\":\"XRP\",\"XEM\":\"XEM\",\"DGB\":\"DGB\",\"LSK\":\"LSK\",\"DOGE\":\"DOGE\",\"TRX\":\"TRX\",\"KMD\":\"KMD\",\"REP\":\"REP\",\"BAT\":\"BAT\",\"ARK\":\"ARK\",\"WAVES\":\"WAVES\",\"BNB\":\"BNB\",\"XZC\":\"XZC\",\"NANO\":\"NANO\",\"TUSD\":\"TUSD\",\"VET\":\"VET\",\"ZEN\":\"ZEN\",\"GRS\":\"GRS\",\"FUN\":\"FUN\",\"NEO\":\"NEO\",\"GAS\":\"GAS\",\"PAX\":\"PAX\",\"USDC\":\"USDC\",\"ONT\":\"ONT\",\"XTZ\":\"XTZ\",\"LINK\":\"LINK\",\"RVN\":\"RVN\",\"BNBMAINNET\":\"BNBMAINNET\",\"ZIL\":\"ZIL\",\"BCD\":\"BCD\",\"USDT\":\"USDT\",\"USDTERC20\":\"USDTERC20\",\"CRO\":\"CRO\",\"DAI\":\"DAI\",\"HT\":\"HT\",\"WABI\":\"WABI\",\"BUSD\":\"BUSD\",\"ALGO\":\"ALGO\",\"USDTTRC20\":\"USDTTRC20\",\"GT\":\"GT\",\"STPT\":\"STPT\",\"AVA\":\"AVA\",\"SXP\":\"SXP\",\"UNI\":\"UNI\",\"OKB\":\"OKB\",\"BTC\":\"BTC\"}', 1, '', NULL, NULL, '2023-02-14 04:42:09'),
(48, 0, 509, 'Now payments checkout', 'NowPaymentsCheckout', 1, '{\"api_key\":{\"title\":\"API Key\",\"global\":true,\"value\":\"-------------------\"},\"secret_key\":{\"title\":\"Secret Key\",\"global\":true,\"value\":\"--------------\"}}', '{\"BTG\":\"BTG\",\"ETH\":\"ETH\",\"XMR\":\"XMR\",\"ZEC\":\"ZEC\",\"XVG\":\"XVG\",\"ADA\":\"ADA\",\"LTC\":\"LTC\",\"BCH\":\"BCH\",\"QTUM\":\"QTUM\",\"DASH\":\"DASH\",\"XLM\":\"XLM\",\"XRP\":\"XRP\",\"XEM\":\"XEM\",\"DGB\":\"DGB\",\"LSK\":\"LSK\",\"DOGE\":\"DOGE\",\"TRX\":\"TRX\",\"KMD\":\"KMD\",\"REP\":\"REP\",\"BAT\":\"BAT\",\"ARK\":\"ARK\",\"WAVES\":\"WAVES\",\"BNB\":\"BNB\",\"XZC\":\"XZC\",\"NANO\":\"NANO\",\"TUSD\":\"TUSD\",\"VET\":\"VET\",\"ZEN\":\"ZEN\",\"GRS\":\"GRS\",\"FUN\":\"FUN\",\"NEO\":\"NEO\",\"GAS\":\"GAS\",\"PAX\":\"PAX\",\"USDC\":\"USDC\",\"ONT\":\"ONT\",\"XTZ\":\"XTZ\",\"LINK\":\"LINK\",\"RVN\":\"RVN\",\"BNBMAINNET\":\"BNBMAINNET\",\"ZIL\":\"ZIL\",\"BCD\":\"BCD\",\"USDT\":\"USDT\",\"USDTERC20\":\"USDTERC20\",\"CRO\":\"CRO\",\"DAI\":\"DAI\",\"HT\":\"HT\",\"WABI\":\"WABI\",\"BUSD\":\"BUSD\",\"ALGO\":\"ALGO\",\"USDTTRC20\":\"USDTTRC20\",\"GT\":\"GT\",\"STPT\":\"STPT\",\"AVA\":\"AVA\",\"SXP\":\"SXP\",\"UNI\":\"UNI\",\"OKB\":\"OKB\",\"BTC\":\"BTC\"}', 1, '', NULL, NULL, '2023-02-14 04:42:09'),
(49, 0, 124, '2Checkout', 'TwoCheckout', 1, '{\"merchant_code\": {\"title\": \"Merchant Code\",\"global\": true,\"value\": \"---------\"},\"secret_key\": {\"title\": \"Secret Key\",\"global\": true,\"value\": \"--------\"}}', '{\"AFN\": \"AFN\",\"ALL\": \"ALL\",\"DZD\": \"DZD\",\"ARS\": \"ARS\",\"AUD\": \"AUD\",\"AZN\": \"AZN\",\"BSD\": \"BSD\",\"BDT\": \"BDT\",\"BBD\": \"BBD\",\"BZD\": \"BZD\",\"BMD\": \"BMD\",\"BOB\": \"BOB\",\"BWP\": \"BWP\",\"BRL\": \"BRL\",\"GBP\": \"GBP\",\"BND\": \"BND\",\"BGN\": \"BGN\",\"CAD\": \"CAD\",\"CLP\": \"CLP\",\"CNY\": \"CNY\",\"COP\": \"COP\",\"CRC\": \"CRC\",\"HRK\": \"HRK\",\"CZK\": \"CZK\",\"DKK\": \"DKK\",\"DOP\": \"DOP\",\"XCD\": \"XCD\",\"EGP\": \"EGP\",\"EUR\": \"EUR\",\"FJD\": \"FJD\",\"GTQ\": \"GTQ\",\"HKD\": \"HKD\",\"HNL\": \"HNL\",\"HUF\": \"HUF\",\"INR\": \"INR\",\"IDR\": \"IDR\",\"ILS\": \"ILS\",\"JMD\": \"JMD\",\"JPY\": \"JPY\",\"KZT\": \"KZT\",\"KES\": \"KES\",\"LAK\": \"LAK\",\"MMK\": \"MMK\",\"LBP\": \"LBP\",\"LRD\": \"LRD\",\"MOP\": \"MOP\",\"MYR\": \"MYR\",\"MVR\": \"MVR\",\"MRO\": \"MRO\",\"MUR\": \"MUR\",\"MXN\": \"MXN\",\"MAD\": \"MAD\",\"NPR\": \"NPR\",\"TWD\": \"TWD\",\"NZD\": \"NZD\",\"NIO\": \"NIO\",\"NOK\": \"NOK\",\"PKR\": \"PKR\",\"PGK\": \"PGK\",\"PEN\": \"PEN\",\"PHP\": \"PHP\",\"PLN\": \"PLN\",\"QAR\": \"QAR\",\"RON\": \"RON\",\"RUB\": \"RUB\",\"WST\": \"WST\",\"SAR\": \"SAR\",\"SCR\": \"SCR\",\"SGD\": \"SGD\",\"SBD\": \"SBD\",\"ZAR\": \"ZAR\",\"KRW\": \"KRW\",\"LKR\": \"LKR\",\"SEK\": \"SEK\",\"CHF\": \"CHF\",\"SYP\": \"SYP\",\"THB\": \"THB\",\"TOP\": \"TOP\",\"TTD\": \"TTD\",\"TRY\": \"TRY\",\"UAH\": \"UAH\",\"AED\": \"AED\",\"USD\": \"USD\",\"VUV\": \"VUV\",\"VND\": \"VND\",\"XOF\": \"XOF\",\"YER\": \"YER\"}', 1, '{\"approved_url\":{\"title\": \"Approved URL\",\"value\":\"ipn.TwoCheckout\"}}', NULL, NULL, '2023-02-14 04:42:09'),
(50, 0, 125, 'Checkout', 'Checkout', 1, '{\"secret_key\":{\"title\":\"Secret Key\",\"global\":true,\"value\":\"sk_f7f9a069-dcc5-45d8-aa72-e60f605c9514\"},\"public_key\":{\"title\":\"PUBLIC KEY\",\"global\":true,\"value\":\"pk_66e19b3f-a431-44ff-823f-d773d960f6b9\"},\"processing_channel_id\":{\"title\":\"PROCESSING CHANNEL\",\"global\":true,\"value\":\"---\"}}', '{\"USD\":\"USD\",\"EUR\":\"EUR\",\"GBP\":\"GBP\",\"HKD\":\"HKD\",\"AUD\":\"AUD\",\"CAN\":\"CAN\",\"CHF\":\"CHF\",\"SGD\":\"SGD\",\"JPY\":\"JPY\",\"NZD\":\"NZD\"}', 0, NULL, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Структура таблицы `gateway_currencies`
--

CREATE TABLE `gateway_currencies` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `currency` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `symbol` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `method_code` int(11) DEFAULT NULL,
  `gateway_alias` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `min_amount` decimal(28,8) NOT NULL DEFAULT '0.00000000',
  `max_amount` decimal(28,8) NOT NULL DEFAULT '0.00000000',
  `percent_charge` decimal(5,2) NOT NULL DEFAULT '0.00',
  `fixed_charge` decimal(28,8) NOT NULL DEFAULT '0.00000000',
  `rate` decimal(28,8) NOT NULL DEFAULT '0.00000000',
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gateway_parameter` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `general_settings`
--

CREATE TABLE `general_settings` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `site_name` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cur_text` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'currency text',
  `cur_sym` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'currency symbol',
  `email_from` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email_template` text COLLATE utf8mb4_unicode_ci,
  `sms_body` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `push_notification_body` text COLLATE utf8mb4_unicode_ci,
  `sms_from` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `base_color` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `secondary_color` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `server` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mail_config` text COLLATE utf8mb4_unicode_ci COMMENT 'email configuration',
  `sms_config` text COLLATE utf8mb4_unicode_ci,
  `global_shortcodes` text COLLATE utf8mb4_unicode_ci,
  `kv` tinyint(1) NOT NULL DEFAULT '0',
  `ev` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'email verification, 0 - dont check, 1 - check',
  `en` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'email notification, 0 - dont send, 1 - send',
  `sv` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'mobile verication, 0 - dont check, 1 - check',
  `sn` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'sms notification, 0 - dont send, 1 - send',
  `force_ssl` tinyint(1) NOT NULL DEFAULT '0',
  `maintenance_mode` tinyint(1) NOT NULL DEFAULT '0',
  `secure_password` tinyint(1) NOT NULL DEFAULT '0',
  `agree` tinyint(1) NOT NULL DEFAULT '0',
  `registration` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0: Off	, 1: On',
  `active_template` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ftp` text COLLATE utf8mb4_unicode_ci,
  `last_cron` datetime DEFAULT NULL,
  `system_info` text COLLATE utf8mb4_unicode_ci,
  `system_customized` tinyint(1) NOT NULL DEFAULT '0',
  `socialite_credentials` text COLLATE utf8mb4_unicode_ci,
  `wasabi` text COLLATE utf8mb4_unicode_ci,
  `digital_ocean` text COLLATE utf8mb4_unicode_ci,
  `pn` tinyint(1) NOT NULL DEFAULT '0',
  `skip_time` int(11) NOT NULL DEFAULT '0',
  `tmdb_api` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `push_config` text COLLATE utf8mb4_unicode_ci,
  `pusher_config` text COLLATE utf8mb4_unicode_ci,
  `multi_language` tinyint(1) NOT NULL DEFAULT '0',
  `video_ad_subscription_user` tinyint(1) NOT NULL DEFAULT '0',
  `ad_show_mobile` tinyint(1) NOT NULL DEFAULT '0',
  `device_limit` tinyint(1) DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `general_settings`
--

INSERT INTO `general_settings` (`id`, `site_name`, `cur_text`, `cur_sym`, `email_from`, `email_template`, `sms_body`, `push_notification_body`, `sms_from`, `base_color`, `secondary_color`, `server`, `mail_config`, `sms_config`, `global_shortcodes`, `kv`, `ev`, `en`, `sv`, `sn`, `force_ssl`, `maintenance_mode`, `secure_password`, `agree`, `registration`, `active_template`, `ftp`, `last_cron`, `system_info`, `system_customized`, `socialite_credentials`, `wasabi`, `digital_ocean`, `pn`, `skip_time`, `tmdb_api`, `push_config`, `pusher_config`, `multi_language`, `video_ad_subscription_user`, `ad_show_mobile`, `device_limit`, `created_at`, `updated_at`) VALUES
(1, 'PlayLab', 'USD', '$', 'do-not-reply@viserlab.com', '<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\r\n  <!--[if !mso]><!-->\r\n  <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">\r\n  <!--<![endif]-->\r\n  <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\r\n  <title></title>\r\n  <style type=\"text/css\">\r\n.ReadMsgBody { width: 100%; background-color: #ffffff; }\r\n.ExternalClass { width: 100%; background-color: #ffffff; }\r\n.ExternalClass, .ExternalClass p, .ExternalClass span, .ExternalClass font, .ExternalClass td, .ExternalClass div { line-height: 100%; }\r\nhtml { width: 100%; }\r\nbody { -webkit-text-size-adjust: none; -ms-text-size-adjust: none; margin: 0; padding: 0; }\r\ntable { border-spacing: 0; table-layout: fixed; margin: 0 auto;border-collapse: collapse; }\r\ntable table table { table-layout: auto; }\r\n.yshortcuts a { border-bottom: none !important; }\r\nimg:hover { opacity: 0.9 !important; }\r\na { color: #0087ff; text-decoration: none; }\r\n.textbutton a { font-family: \'open sans\', arial, sans-serif !important;}\r\n.btn-link a { color:#FFFFFF !important;}\r\n\r\n@media only screen and (max-width: 480px) {\r\nbody { width: auto !important; }\r\n*[class=\"table-inner\"] { width: 90% !important; text-align: center !important; }\r\n*[class=\"table-full\"] { width: 100% !important; text-align: center !important; }\r\n/* image */\r\nimg[class=\"img1\"] { width: 100% !important; height: auto !important; }\r\n}\r\n</style>\r\n\r\n\r\n\r\n  <table bgcolor=\"#414a51\" width=\"100%\" border=\"0\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\">\r\n    <tbody><tr>\r\n      <td height=\"50\"></td>\r\n    </tr>\r\n    <tr>\r\n      <td align=\"center\" style=\"text-align:center;vertical-align:top;font-size:0;\">\r\n        <table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\r\n          <tbody><tr>\r\n            <td align=\"center\" width=\"600\">\r\n              <!--header-->\r\n              <table class=\"table-inner\" width=\"95%\" border=\"0\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\">\r\n                <tbody><tr>\r\n                  <td bgcolor=\"#0087ff\" style=\"border-top-left-radius:6px; border-top-right-radius:6px;text-align:center;vertical-align:top;font-size:0;\" align=\"center\">\r\n                    <table width=\"90%\" border=\"0\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\">\r\n                      <tbody><tr>\r\n                        <td height=\"20\"></td>\r\n                      </tr>\r\n                      <tr>\r\n                        <td align=\"center\" style=\"font-family: \'Open sans\', Arial, sans-serif; color:#FFFFFF; font-size:16px; font-weight: bold;\">This is a System Generated Email</td>\r\n                      </tr>\r\n                      <tr>\r\n                        <td height=\"20\"></td>\r\n                      </tr>\r\n                    </tbody></table>\r\n                  </td>\r\n                </tr>\r\n              </tbody></table>\r\n              <!--end header-->\r\n              <table class=\"table-inner\" width=\"95%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n                <tbody><tr>\r\n                  <td bgcolor=\"#FFFFFF\" align=\"center\" style=\"text-align:center;vertical-align:top;font-size:0;\">\r\n                    <table align=\"center\" width=\"90%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n                      <tbody><tr>\r\n                        <td height=\"35\"></td>\r\n                      </tr>\r\n                      <!--logo-->\r\n                      <tr>\r\n                        <td align=\"center\" style=\"vertical-align:top;font-size:0;\">\r\n                          <a href=\"#\">\r\n                            <img style=\"display:block; line-height:0px; font-size:0px; border:0px;\" src=\"https://i.imgur.com/Z1qtvtV.png\" alt=\"img\">\r\n                          </a>\r\n                        </td>\r\n                      </tr>\r\n                      <!--end logo-->\r\n                      <tr>\r\n                        <td height=\"40\"></td>\r\n                      </tr>\r\n                      <!--headline-->\r\n                      <tr>\r\n                        <td align=\"center\" style=\"font-family: \'Open Sans\', Arial, sans-serif; font-size: 22px;color:#414a51;font-weight: bold;\">Hello {{fullname}} ({{username}})</td>\r\n                      </tr>\r\n                      <!--end headline-->\r\n                      <tr>\r\n                        <td align=\"center\" style=\"text-align:center;vertical-align:top;font-size:0;\">\r\n                          <table width=\"40\" border=\"0\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\">\r\n                            <tbody><tr>\r\n                              <td height=\"20\" style=\" border-bottom:3px solid #0087ff;\"></td>\r\n                            </tr>\r\n                          </tbody></table>\r\n                        </td>\r\n                      </tr>\r\n                      <tr>\r\n                        <td height=\"20\"></td>\r\n                      </tr>\r\n                      <!--content-->\r\n                      <tr>\r\n                        <td align=\"left\" style=\"font-family: \'Open sans\', Arial, sans-serif; color:#7f8c8d; font-size:16px; line-height: 28px;\">{{message}}</td>\r\n                      </tr>\r\n                      <!--end content-->\r\n                      <tr>\r\n                        <td height=\"40\"></td>\r\n                      </tr>\r\n              \r\n                    </tbody></table>\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td height=\"45\" align=\"center\" bgcolor=\"#f4f4f4\" style=\"border-bottom-left-radius:6px;border-bottom-right-radius:6px;\">\r\n                    <table align=\"center\" width=\"90%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n                      <tbody><tr>\r\n                        <td height=\"10\"></td>\r\n                      </tr>\r\n                      <!--preference-->\r\n                      <tr>\r\n                        <td class=\"preference-link\" align=\"center\" style=\"font-family: \'Open sans\', Arial, sans-serif; color:#95a5a6; font-size:14px;\">\r\n                          © 2021 <a href=\"#\">{{site_name}}</a>&nbsp;. All Rights Reserved. \r\n                        </td>\r\n                      </tr>\r\n                      <!--end preference-->\r\n                      <tr>\r\n                        <td height=\"10\"></td>\r\n                      </tr>\r\n                    </tbody></table>\r\n                  </td>\r\n                </tr>\r\n              </tbody></table>\r\n            </td>\r\n          </tr>\r\n        </tbody></table>\r\n      </td>\r\n    </tr>\r\n    <tr>\r\n      <td height=\"60\"></td>\r\n    </tr>\r\n  </tbody></table>', 'hi {{fullname}} ({{username}}), {{message}}', 'hi {{fullname}} ({{username}}), {{message}}', 'ViserAdmin', 'D50055', '1B1B3F', 'current', '{\"name\":\"php\"}', '{\"name\":\"nexmo\",\"clickatell\":{\"api_key\":\"----------------\"},\"infobip\":{\"username\":\"------------8888888\",\"password\":\"-----------------\"},\"message_bird\":{\"api_key\":\"-------------------\"},\"nexmo\":{\"api_key\":\"----------------------\",\"api_secret\":\"----------------------\"},\"sms_broadcast\":{\"username\":\"----------------------\",\"password\":\"-----------------------------\"},\"twilio\":{\"account_sid\":\"-----------------------\",\"auth_token\":\"---------------------------\",\"from\":\"----------------------\"},\"text_magic\":{\"username\":\"-----------------------\",\"apiv2_key\":\"-------------------------------\"},\"custom\":{\"method\":\"get\",\"url\":\"https:\\/\\/hostname\\/demo-api-v1\",\"headers\":{\"name\":[\"api_key\"],\"value\":[\"test_api 555\"]},\"body\":{\"name\":[\"from_number\"],\"value\":[\"5657545757\"]}}}', '{\n    \"site_name\":\"Name of your site\",\n    \"site_currency\":\"Currency of your site\",\n    \"currency_symbol\":\"Symbol of currency\"\n}', 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 'labflix', '{\"domain\":\"https:\\/\\/yourdomain.com\",\"host\":\"yourhost.com\",\"username\":\"username\",\"password\":\"password\",\"port\":\"port\",\"root\":\"\\/public_html\\/foldername\"}', NULL, '[]', 0, '{\"google\":{\"client_id\":\"------------------------\",\"client_secret\":\"------------------------\",\"status\":1},\"facebook\":{\"client_id\":\"-------------------\",\"client_secret\":\"---------------------\",\"status\":1},\"linkedin\":{\"client_id\":\"----------\",\"client_secret\":\"----------\",\"status\":1}}', '{\"driver\":\"-----------------\",\"key\":\"--------------------\",\"secret\":\"----------------------\",\"region\":\"-----------------\",\"bucket\":\"----------------\",\"endpoint\":\"----------------------\"}', '{\"driver\":\"---------------\",\"key\":\"-------------------\",\"secret\":\"---------------------\",\"region\":\"---------------\",\"bucket\":\"--------------\",\"endpoint\":\"------------------------\"}', 0, 5, '--------------------------', '{\"serverKey\":\"-------------------------------\",\"apiKey\":\"---------------------\",\"authDomain\":\"------------------------\",\"projectId\":\"------------------------\",\"storageBucket\":\"--------------------------\",\"messagingSenderId\":\"-------------------------------\",\"appId\":\"-----------------------\",\"measurementId\":\"--------------------------------\"}', '{\"app_id\":\"--------------------\",\"app_key\":\"---------------------\",\"app_secret_key\":\"-------------------\",\"cluster\":\"--------------------\"}', 0, 0, 0, 0, NULL, '2024-01-31 14:14:35');

-- --------------------------------------------------------

--
-- Структура таблицы `histories`
--

CREATE TABLE `histories` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `item_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `episode_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `items`
--

CREATE TABLE `items` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `category_id` int(11) NOT NULL DEFAULT '0',
  `sub_category_id` int(11) DEFAULT '0',
  `slug` text COLLATE utf8mb4_unicode_ci,
  `title` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `preview_text` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `team` text COLLATE utf8mb4_unicode_ci,
  `image` text COLLATE utf8mb4_unicode_ci,
  `item_type` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1 = single item, 2 = Episode Item,3 = trailer',
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `single` tinyint(1) NOT NULL DEFAULT '0',
  `trending` tinyint(1) NOT NULL DEFAULT '0',
  `featured` tinyint(1) NOT NULL DEFAULT '1',
  `version` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0 = free, 1 = paid, 2 = episode item',
  `tags` text COLLATE utf8mb4_unicode_ci,
  `ratings` decimal(5,2) NOT NULL DEFAULT '0.00',
  `view` int(11) NOT NULL DEFAULT '0',
  `is_trailer` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `languages`
--

CREATE TABLE `languages` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `code` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0: not default language, 1: default language',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `live_televisions`
--

CREATE TABLE `live_televisions` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `title` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(3) UNSIGNED NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `notification_logs`
--

CREATE TABLE `notification_logs` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `sender` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sent_from` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sent_to` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subject` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `message` text COLLATE utf8mb4_unicode_ci,
  `notification_type` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `notification_templates`
--

CREATE TABLE `notification_templates` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `act` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subj` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email_body` text COLLATE utf8mb4_unicode_ci,
  `sms_body` text COLLATE utf8mb4_unicode_ci,
  `push_notification_body` text COLLATE utf8mb4_unicode_ci,
  `shortcodes` text COLLATE utf8mb4_unicode_ci,
  `email_status` tinyint(1) NOT NULL DEFAULT '1',
  `sms_status` tinyint(1) NOT NULL DEFAULT '1',
  `push_notification_status` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `notification_templates`
--

INSERT INTO `notification_templates` (`id`, `act`, `name`, `subj`, `email_body`, `sms_body`, `push_notification_body`, `shortcodes`, `email_status`, `sms_status`, `push_notification_status`, `created_at`, `updated_at`) VALUES
(3, 'DEPOSIT_COMPLETE', 'Deposit - Automated - Successful', 'Deposit Completed Successfully', '<div>Your deposit of&nbsp;<span style=\"font-weight: bolder;\">{{amount}} {{site_currency}}</span>&nbsp;is via&nbsp;&nbsp;<span style=\"font-weight: bolder;\">{{method_name}}&nbsp;</span>has been completed Successfully.<span style=\"font-weight: bolder;\"><br></span></div><div><span style=\"font-weight: bolder;\"><br></span></div><div><span style=\"font-weight: bolder;\">Details of your Deposit :<br></span></div><div><br></div><div>Amount : {{amount}} {{site_currency}}</div><div>Charge:&nbsp;<font color=\"#000000\">{{charge}} {{site_currency}}</font></div><div><br></div><div>Conversion Rate : 1 {{site_currency}} = {{rate}} {{method_currency}}</div><div>Received : {{method_amount}} {{method_currency}}<br></div><div>Paid via :&nbsp; {{method_name}}</div><div><br></div><div>Transaction Number : {{trx}}</div><div><font size=\"5\"><span style=\"font-weight: bolder;\"><br></span></font></div><div><font size=\"5\">Your current Balance is&nbsp;<span style=\"font-weight: bolder;\">{{post_balance}} {{site_currency}}</span></font></div><div><br style=\"font-family: Montserrat, sans-serif;\"></div>', '{{amount}} {{site_currency}} Deposit successfully by {{method_name}}', NULL, '{\"trx\":\"Transaction number for the deposit\",\"amount\":\"Amount inserted by the user\",\"charge\":\"Gateway charge set by the admin\",\"rate\":\"Conversion rate between base currency and method currency\",\"method_name\":\"Name of the deposit method\",\"method_currency\":\"Currency of the deposit method\",\"method_amount\":\"Amount after conversion between base currency and method currency\",\"post_balance\":\"Balance of the user after this transaction\"}', 1, 1, 0, '2021-11-03 12:00:00', '2022-04-03 02:25:43'),
(4, 'DEPOSIT_APPROVE', 'Deposit - Manual - Approved', 'Your Deposit is Approved', '<div style=\"font-family: Montserrat, sans-serif;\">Your deposit request of&nbsp;<span style=\"font-weight: bolder;\">{{amount}} {{site_currency}}</span>&nbsp;is via&nbsp;&nbsp;<span style=\"font-weight: bolder;\">{{method_name}}&nbsp;</span>is Approved .<span style=\"font-weight: bolder;\"><br></span></div><div style=\"font-family: Montserrat, sans-serif;\"><span style=\"font-weight: bolder;\"><br></span></div><div style=\"font-family: Montserrat, sans-serif;\"><span style=\"font-weight: bolder;\">Details of your Deposit :<br></span></div><div style=\"font-family: Montserrat, sans-serif;\"><br></div><div style=\"font-family: Montserrat, sans-serif;\">Amount : {{amount}} {{site_currency}}</div><div style=\"font-family: Montserrat, sans-serif;\">Charge:&nbsp;<font color=\"#FF0000\">{{charge}} {{site_currency}}</font></div><div style=\"font-family: Montserrat, sans-serif;\"><br></div><div style=\"font-family: Montserrat, sans-serif;\">Conversion Rate : 1 {{site_currency}} = {{rate}} {{method_currency}}</div><div style=\"font-family: Montserrat, sans-serif;\">Received : {{method_amount}} {{method_currency}}<br></div><div style=\"font-family: Montserrat, sans-serif;\">Paid via :&nbsp; {{method_name}}</div><div style=\"font-family: Montserrat, sans-serif;\"><br></div><div style=\"font-family: Montserrat, sans-serif;\">Transaction Number : {{trx}}</div><div style=\"font-family: Montserrat, sans-serif;\"><font size=\"5\"><span style=\"font-weight: bolder;\"><br></span></font></div><div style=\"font-family: Montserrat, sans-serif;\"><font size=\"5\">Your current Balance is&nbsp;<span style=\"font-weight: bolder;\">{{post_balance}} {{site_currency}}</span></font></div><div style=\"font-family: Montserrat, sans-serif;\"><br></div><div style=\"font-family: Montserrat, sans-serif;\"><br></div>', 'Admin Approve Your {{amount}} {{site_currency}} payment request by {{method_name}} transaction : {{trx}}', NULL, '{\"trx\":\"Transaction number for the deposit\",\"amount\":\"Amount inserted by the user\",\"charge\":\"Gateway charge set by the admin\",\"rate\":\"Conversion rate between base currency and method currency\",\"method_name\":\"Name of the deposit method\",\"method_currency\":\"Currency of the deposit method\",\"method_amount\":\"Amount after conversion between base currency and method currency\",\"post_balance\":\"Balance of the user after this transaction\"}', 1, 1, 0, '2021-11-03 12:00:00', '2022-04-03 02:26:07'),
(5, 'DEPOSIT_REJECT', 'Deposit - Manual - Rejected', 'Your Deposit Request is Rejected', '<div style=\"font-family: Montserrat, sans-serif;\">Your deposit request of&nbsp;<span style=\"font-weight: bolder;\">{{amount}} {{site_currency}}</span>&nbsp;is via&nbsp;&nbsp;<span style=\"font-weight: bolder;\">{{method_name}} has been rejected</span>.<span style=\"font-weight: bolder;\"><br></span></div><div><br></div><div><br></div><div style=\"font-family: Montserrat, sans-serif;\">Conversion Rate : 1 {{site_currency}} = {{rate}} {{method_currency}}</div><div style=\"font-family: Montserrat, sans-serif;\">Received : {{method_amount}} {{method_currency}}<br></div><div style=\"font-family: Montserrat, sans-serif;\">Paid via :&nbsp; {{method_name}}</div><div style=\"font-family: Montserrat, sans-serif;\">Charge: {{charge}}</div><div style=\"font-family: Montserrat, sans-serif;\"><br></div><div style=\"font-family: Montserrat, sans-serif;\"><br></div><div style=\"font-family: Montserrat, sans-serif;\">Transaction Number was : {{trx}}</div><div style=\"font-family: Montserrat, sans-serif;\"><br></div><div style=\"font-family: Montserrat, sans-serif;\">if you have any queries, feel free to contact us.<br></div><br style=\"font-family: Montserrat, sans-serif;\"><div style=\"font-family: Montserrat, sans-serif;\"><br><br></div><span style=\"color: rgb(33, 37, 41); font-family: Montserrat, sans-serif;\">{{rejection_message}}</span><br>', 'Admin Rejected Your {{amount}} {{site_currency}} payment request by {{method_name}}\r\n\r\n{{rejection_message}}', NULL, '{\"trx\":\"Transaction number for the deposit\",\"amount\":\"Amount inserted by the user\",\"charge\":\"Gateway charge set by the admin\",\"rate\":\"Conversion rate between base currency and method currency\",\"method_name\":\"Name of the deposit method\",\"method_currency\":\"Currency of the deposit method\",\"method_amount\":\"Amount after conversion between base currency and method currency\",\"rejection_message\":\"Rejection message by the admin\"}', 1, 1, 0, '2021-11-03 12:00:00', '2022-04-05 03:45:27'),
(6, 'DEPOSIT_REQUEST', 'Deposit - Manual - Requested', 'Deposit Request Submitted Successfully', '<div>Your deposit request of&nbsp;<span style=\"font-weight: bolder;\">{{amount}} {{site_currency}}</span>&nbsp;is via&nbsp;&nbsp;<span style=\"font-weight: bolder;\">{{method_name}}&nbsp;</span>submitted successfully<span style=\"font-weight: bolder;\">&nbsp;.<br></span></div><div><span style=\"font-weight: bolder;\"><br></span></div><div><span style=\"font-weight: bolder;\">Details of your Deposit :<br></span></div><div><br></div><div>Amount : {{amount}} {{site_currency}}</div><div>Charge:&nbsp;<font color=\"#FF0000\">{{charge}} {{site_currency}}</font></div><div><br></div><div>Conversion Rate : 1 {{site_currency}} = {{rate}} {{method_currency}}</div><div>Payable : {{method_amount}} {{method_currency}}<br></div><div>Pay via :&nbsp; {{method_name}}</div><div><br></div><div>Transaction Number : {{trx}}</div><div><br></div><div><br style=\"font-family: Montserrat, sans-serif;\"></div>', '{{amount}} {{site_currency}} Deposit requested by {{method_name}}. Charge: {{charge}} . Trx: {{trx}}', NULL, '{\"trx\":\"Transaction number for the deposit\",\"amount\":\"Amount inserted by the user\",\"charge\":\"Gateway charge set by the admin\",\"rate\":\"Conversion rate between base currency and method currency\",\"method_name\":\"Name of the deposit method\",\"method_currency\":\"Currency of the deposit method\",\"method_amount\":\"Amount after conversion between base currency and method currency\"}', 1, 1, 0, '2021-11-03 12:00:00', '2022-04-03 02:29:19'),
(7, 'PASS_RESET_CODE', 'Password - Reset - Code', 'Password Reset', '<div style=\"font-family: Montserrat, sans-serif;\">We have received a request to reset the password for your account on&nbsp;<span style=\"font-weight: bolder;\">{{time}} .<br></span></div><div style=\"font-family: Montserrat, sans-serif;\">Requested From IP:&nbsp;<span style=\"font-weight: bolder;\">{{ip}}</span>&nbsp;using&nbsp;<span style=\"font-weight: bolder;\">{{browser}}</span>&nbsp;on&nbsp;<span style=\"font-weight: bolder;\">{{operating_system}}&nbsp;</span>.</div><div style=\"font-family: Montserrat, sans-serif;\"><br></div><br style=\"font-family: Montserrat, sans-serif;\"><div style=\"font-family: Montserrat, sans-serif;\"><div>Your account recovery code is:&nbsp;&nbsp;&nbsp;<font size=\"6\"><span style=\"font-weight: bolder;\">{{code}}</span></font></div><div><br></div></div><div style=\"font-family: Montserrat, sans-serif;\"><br></div><div style=\"font-family: Montserrat, sans-serif;\"><font size=\"4\" color=\"#CC0000\">If you do not wish to reset your password, please disregard this message.&nbsp;</font><br></div><div><font size=\"4\" color=\"#CC0000\"><br></font></div>', 'Your account recovery code is: {{code}}', NULL, '{\"code\":\"Verification code for password reset\",\"ip\":\"IP address of the user\",\"browser\":\"Browser of the user\",\"operating_system\":\"Operating system of the user\",\"time\":\"Time of the request\"}', 1, 0, 0, '2021-11-03 12:00:00', '2022-03-20 20:47:05'),
(8, 'PASS_RESET_DONE', 'Password - Reset - Confirmation', 'You have reset your password', '<p style=\"font-family: Montserrat, sans-serif;\">You have successfully reset your password.</p><p style=\"font-family: Montserrat, sans-serif;\">You changed from&nbsp; IP:&nbsp;<span style=\"font-weight: bolder;\">{{ip}}</span>&nbsp;using&nbsp;<span style=\"font-weight: bolder;\">{{browser}}</span>&nbsp;on&nbsp;<span style=\"font-weight: bolder;\">{{operating_system}}&nbsp;</span>&nbsp;on&nbsp;<span style=\"font-weight: bolder;\">{{time}}</span></p><p style=\"font-family: Montserrat, sans-serif;\"><span style=\"font-weight: bolder;\"><br></span></p><p style=\"font-family: Montserrat, sans-serif;\"><span style=\"font-weight: bolder;\"><font color=\"#ff0000\">If you did not change that, please contact us as soon as possible.</font></span></p>', 'Your password has been changed successfully', NULL, '{\"ip\":\"IP address of the user\",\"browser\":\"Browser of the user\",\"operating_system\":\"Operating system of the user\",\"time\":\"Time of the request\"}', 1, 1, 0, '2021-11-03 12:00:00', '2022-04-05 03:46:35'),
(9, 'ADMIN_SUPPORT_REPLY', 'Support - Reply', 'Reply Support Ticket', '<div><p><span data-mce-style=\"font-size: 11pt;\" style=\"font-size: 11pt;\"><span style=\"font-weight: bolder;\">A member from our support team has replied to the following ticket:</span></span></p><p><span style=\"font-weight: bolder;\"><span data-mce-style=\"font-size: 11pt;\" style=\"font-size: 11pt;\"><span style=\"font-weight: bolder;\"><br></span></span></span></p><p><span style=\"font-weight: bolder;\">[Ticket#{{ticket_id}}] {{ticket_subject}}<br><br>Click here to reply:&nbsp; {{link}}</span></p><p>----------------------------------------------</p><p>Here is the reply :<br></p><p>{{reply}}<br></p></div><div><br style=\"font-family: Montserrat, sans-serif;\"></div>', 'Your Ticket#{{ticket_id}} :  {{ticket_subject}} has been replied.', NULL, '{\"ticket_id\":\"ID of the support ticket\",\"ticket_subject\":\"Subject  of the support ticket\",\"reply\":\"Reply made by the admin\",\"link\":\"URL to view the support ticket\"}', 1, 1, 0, '2021-11-03 12:00:00', '2022-03-20 20:47:51'),
(10, 'EVER_CODE', 'Verification - Email', 'Please verify your email address', '<br><div><div style=\"font-family: Montserrat, sans-serif;\">Thanks For joining us.<br></div><div style=\"font-family: Montserrat, sans-serif;\">Please use the below code to verify your email address.<br></div><div style=\"font-family: Montserrat, sans-serif;\"><br></div><div style=\"font-family: Montserrat, sans-serif;\">Your email verification code is:<font size=\"6\"><span style=\"font-weight: bolder;\">&nbsp;{{code}}</span></font></div></div>', '---', NULL, '{\"code\":\"Email verification code\"}', 1, 0, 0, '2021-11-03 12:00:00', '2022-04-03 02:32:07'),
(11, 'SVER_CODE', 'Verification - SMS', 'Verify Your Mobile Number', '---', 'Your phone verification code is: {{code}}', NULL, '{\"code\":\"SMS Verification Code\"}', 0, 1, 0, '2021-11-03 12:00:00', '2022-03-20 19:24:37'),
(15, 'DEFAULT', 'Default Template', '{{subject}}', '{{message}}', '{{message}}', NULL, '{\"subject\":\"Subject\",\"message\":\"Message\"}', 1, 1, 0, '2019-09-14 13:14:22', '2021-11-04 09:38:55'),
(18, 'SUBSCRIBE_PLAN', 'Subscribe Plan', 'Subscribe Plan', '<div><span style=\"color: rgb(33, 37, 41); font-size: 1rem; text-align: var(--bs-body-text-align);\"><b>{{plan}}</b>&nbsp;plan&nbsp;</span>subscribed successfully</div><div><span style=\"font-weight: bolder;\"><br></span></div><div><span style=\"font-weight: bolder;\">Details of your plan:<br></span></div><div><br></div><div><div>Plan Name: {{plan}}</div></div><div><span style=\"color: rgb(33, 37, 41);\">Package Duration: {{duration}} Days</span><br></div><div>Price: {{price}} {{site_currency}}</div>', '{{plan}} plan subscribed successfully', NULL, '{\"plan\":\"plan\",\"price\":\"price\",\"duration\":\"duration\"}', 1, 1, 0, NULL, '2022-05-24 04:40:33'),
(19, 'SEND_ITEM_NOTIFICATION', 'Send Item Notification', '{{title}}', '{{title}}', '{{title}}', '{{title}}', '{\"title\":\"Item Title\"}', 0, 0, 1, NULL, '2022-11-15 08:47:06'),
(21, 'SUBSCRIBE_ADS_FREE', 'Subscribe Ads Free ', 'Video Watch Without Ads', 'Congratulation,<div><br></div><div>You have successfully subscribed to ads free package.</div><div>you can now watch videos without ads.</div><div><br></div><div>Charge : {{price}} {{site_currency}}</div><div>Expired Date : {{expired}}</div>', 'You have successfully subscribed to ads free package.\r\nyou can now watch videos without ads.', NULL, '{\r\n                    \"price\":\"Ads Free Charge\",\r\n                    \"expired\":\"Expired Date\"\r\n                }', 1, 1, 0, NULL, '2023-11-28 02:45:33');

-- --------------------------------------------------------

--
-- Структура таблицы `party_members`
--

CREATE TABLE `party_members` (
  `id` int(10) UNSIGNED NOT NULL,
  `watch_party_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `status` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `password_resets`
--

CREATE TABLE `password_resets` (
  `email` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `token` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `personal_access_tokens`
--

CREATE TABLE `personal_access_tokens` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `tokenable_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tokenable_id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `abilities` text COLLATE utf8mb4_unicode_ci,
  `last_used_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `plans`
--

CREATE TABLE `plans` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pricing` decimal(28,8) NOT NULL DEFAULT '0.00000000',
  `duration` int(11) NOT NULL DEFAULT '0',
  `device_limit` int(11) DEFAULT '0',
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `icon` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `show_ads` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `sliders`
--

CREATE TABLE `sliders` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `item_id` int(11) NOT NULL DEFAULT '0',
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `caption_show` tinyint(1) NOT NULL DEFAULT '0',
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `subscribers`
--

CREATE TABLE `subscribers` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `email` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `subscriptions`
--

CREATE TABLE `subscriptions` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `plan_id` int(11) NOT NULL DEFAULT '0',
  `expired_date` datetime DEFAULT NULL,
  `status` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `subtitles`
--

CREATE TABLE `subtitles` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `item_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `episode_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `video_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `language` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `code` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `file` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `sub_categories`
--

CREATE TABLE `sub_categories` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `category_id` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `support_attachments`
--

CREATE TABLE `support_attachments` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `support_message_id` int(10) UNSIGNED DEFAULT NULL,
  `attachment` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `support_messages`
--

CREATE TABLE `support_messages` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `support_ticket_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `admin_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `message` longtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `support_tickets`
--

CREATE TABLE `support_tickets` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `user_id` int(11) DEFAULT '0',
  `name` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ticket` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subject` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0: Open, 1: Answered, 2: Replied, 3: Closed',
  `priority` tinyint(1) NOT NULL DEFAULT '0' COMMENT '1 = Low, 2 = medium, 3 = heigh',
  `last_reply` datetime DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `update_logs`
--

CREATE TABLE `update_logs` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `version` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `update_log` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `users`
--

CREATE TABLE `users` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `plan_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `firstname` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lastname` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `username` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL,
  `country_code` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mobile` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` text COLLATE utf8mb4_unicode_ci COMMENT 'contains full address',
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '0: banned, 1: active',
  `exp` datetime DEFAULT NULL,
  `ev` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0: email unverified, 1: email verified',
  `sv` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0: mobile unverified, 1: mobile verified',
  `profile_complete` tinyint(1) NOT NULL DEFAULT '0',
  `ver_code` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'stores verification code',
  `ver_code_send_at` datetime DEFAULT NULL COMMENT 'verification send time',
  `tsc` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ban_reason` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `login_by` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `user_devices`
--

CREATE TABLE `user_devices` (
  `id` bigint(20) NOT NULL,
  `user_id` int(11) DEFAULT '0',
  `device_id` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `user_logins`
--

CREATE TABLE `user_logins` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `user_ip` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country_code` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `longitude` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `latitude` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `browser` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `os` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `device_id` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `user_notifications`
--

CREATE TABLE `user_notifications` (
  `id` int(10) UNSIGNED NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remark` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `click_value` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `videos`
--

CREATE TABLE `videos` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `episode_id` int(11) DEFAULT '0',
  `item_id` int(11) DEFAULT '0',
  `video_type_seven_twenty` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1=video,0=link',
  `video_type_three_sixty` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1=video,0=link',
  `video_type_four_eighty` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1=video,0=link',
  `video_type_thousand_eighty` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1=video,0=link',
  `seven_twenty_video` text COLLATE utf8mb4_unicode_ci,
  `three_sixty_video` text COLLATE utf8mb4_unicode_ci,
  `four_eighty_video` text COLLATE utf8mb4_unicode_ci,
  `thousand_eighty_video` text COLLATE utf8mb4_unicode_ci,
  `server_seven_twenty` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0 = current server, 1 = other server, 2 = link',
  `server_three_sixty` tinyint(1) NOT NULL DEFAULT '0',
  `server_four_eighty` tinyint(1) NOT NULL DEFAULT '0',
  `server_thousand_eighty` tinyint(1) NOT NULL DEFAULT '0',
  `ads_time` text COLLATE utf8mb4_unicode_ci,
  `seconds` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `video_advertises`
--

CREATE TABLE `video_advertises` (
  `id` bigint(20) NOT NULL,
  `type` tinyint(1) NOT NULL DEFAULT '0',
  `content` text COLLATE utf8mb4_unicode_ci,
  `server` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `video_reports`
--

CREATE TABLE `video_reports` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `device_id` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `item_id` int(11) NOT NULL DEFAULT '0',
  `episode_id` int(11) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `watch_parties`
--

CREATE TABLE `watch_parties` (
  `id` int(10) UNSIGNED NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `item_id` int(11) NOT NULL DEFAULT '0',
  `episode_id` int(11) NOT NULL DEFAULT '0',
  `party_code` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `closed_at` datetime DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `wishlists`
--

CREATE TABLE `wishlists` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `item_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `episode_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Индексы сохранённых таблиц
--

--
-- Индексы таблицы `admins`
--
ALTER TABLE `admins`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `email` (`email`,`username`);

--
-- Индексы таблицы `admin_notifications`
--
ALTER TABLE `admin_notifications`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `admin_password_resets`
--
ALTER TABLE `admin_password_resets`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `advertises`
--
ALTER TABLE `advertises`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `categories`
--
ALTER TABLE `categories`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `conversations`
--
ALTER TABLE `conversations`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `deposits`
--
ALTER TABLE `deposits`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `device_tokens`
--
ALTER TABLE `device_tokens`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `episodes`
--
ALTER TABLE `episodes`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `extensions`
--
ALTER TABLE `extensions`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `forms`
--
ALTER TABLE `forms`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `frontends`
--
ALTER TABLE `frontends`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `gateways`
--
ALTER TABLE `gateways`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `code` (`code`);

--
-- Индексы таблицы `gateway_currencies`
--
ALTER TABLE `gateway_currencies`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `general_settings`
--
ALTER TABLE `general_settings`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `histories`
--
ALTER TABLE `histories`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `items`
--
ALTER TABLE `items`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `languages`
--
ALTER TABLE `languages`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `live_televisions`
--
ALTER TABLE `live_televisions`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `notification_logs`
--
ALTER TABLE `notification_logs`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `notification_templates`
--
ALTER TABLE `notification_templates`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `party_members`
--
ALTER TABLE `party_members`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `personal_access_tokens`
--
ALTER TABLE `personal_access_tokens`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `personal_access_tokens_token_unique` (`token`),
  ADD KEY `personal_access_tokens_tokenable_type_tokenable_id_index` (`tokenable_type`,`tokenable_id`);

--
-- Индексы таблицы `plans`
--
ALTER TABLE `plans`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `sliders`
--
ALTER TABLE `sliders`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `subscribers`
--
ALTER TABLE `subscribers`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `subscriptions`
--
ALTER TABLE `subscriptions`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `subtitles`
--
ALTER TABLE `subtitles`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `sub_categories`
--
ALTER TABLE `sub_categories`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `support_attachments`
--
ALTER TABLE `support_attachments`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `support_messages`
--
ALTER TABLE `support_messages`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `support_tickets`
--
ALTER TABLE `support_tickets`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `update_logs`
--
ALTER TABLE `update_logs`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `username` (`username`,`email`);

--
-- Индексы таблицы `user_devices`
--
ALTER TABLE `user_devices`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `user_logins`
--
ALTER TABLE `user_logins`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `user_notifications`
--
ALTER TABLE `user_notifications`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `videos`
--
ALTER TABLE `videos`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `video_advertises`
--
ALTER TABLE `video_advertises`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `video_reports`
--
ALTER TABLE `video_reports`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `watch_parties`
--
ALTER TABLE `watch_parties`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `wishlists`
--
ALTER TABLE `wishlists`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT для сохранённых таблиц
--

--
-- AUTO_INCREMENT для таблицы `admins`
--
ALTER TABLE `admins`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT для таблицы `admin_notifications`
--
ALTER TABLE `admin_notifications`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `admin_password_resets`
--
ALTER TABLE `admin_password_resets`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `advertises`
--
ALTER TABLE `advertises`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `categories`
--
ALTER TABLE `categories`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `conversations`
--
ALTER TABLE `conversations`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `deposits`
--
ALTER TABLE `deposits`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `device_tokens`
--
ALTER TABLE `device_tokens`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `episodes`
--
ALTER TABLE `episodes`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `extensions`
--
ALTER TABLE `extensions`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT для таблицы `forms`
--
ALTER TABLE `forms`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `frontends`
--
ALTER TABLE `frontends`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=89;

--
-- AUTO_INCREMENT для таблицы `gateways`
--
ALTER TABLE `gateways`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=52;

--
-- AUTO_INCREMENT для таблицы `gateway_currencies`
--
ALTER TABLE `gateway_currencies`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `general_settings`
--
ALTER TABLE `general_settings`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT для таблицы `histories`
--
ALTER TABLE `histories`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `items`
--
ALTER TABLE `items`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `languages`
--
ALTER TABLE `languages`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `live_televisions`
--
ALTER TABLE `live_televisions`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `notification_logs`
--
ALTER TABLE `notification_logs`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `notification_templates`
--
ALTER TABLE `notification_templates`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=22;

--
-- AUTO_INCREMENT для таблицы `party_members`
--
ALTER TABLE `party_members`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `personal_access_tokens`
--
ALTER TABLE `personal_access_tokens`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `plans`
--
ALTER TABLE `plans`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `sliders`
--
ALTER TABLE `sliders`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `subscribers`
--
ALTER TABLE `subscribers`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `subscriptions`
--
ALTER TABLE `subscriptions`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `subtitles`
--
ALTER TABLE `subtitles`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `sub_categories`
--
ALTER TABLE `sub_categories`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `support_attachments`
--
ALTER TABLE `support_attachments`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `support_messages`
--
ALTER TABLE `support_messages`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `support_tickets`
--
ALTER TABLE `support_tickets`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `update_logs`
--
ALTER TABLE `update_logs`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `users`
--
ALTER TABLE `users`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `user_devices`
--
ALTER TABLE `user_devices`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `user_logins`
--
ALTER TABLE `user_logins`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `user_notifications`
--
ALTER TABLE `user_notifications`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `videos`
--
ALTER TABLE `videos`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `video_advertises`
--
ALTER TABLE `video_advertises`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `video_reports`
--
ALTER TABLE `video_reports`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `watch_parties`
--
ALTER TABLE `watch_parties`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `wishlists`
--
ALTER TABLE `wishlists`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
